Qt Reference Documentation

# QAccel Class Reference

QAccel
activated
activatedAmbiguously
clear
connectItem
count
disconnectItem
findKey
insertItem
isEnabled
isItemEnabled
key
removeItem
setEnabled
setItemEnabled
setWhatsThis
shortcutKey
whatsThis
~QAccel

List of All Member Functions

Header File

# QAccessible Class Reference

QAccessible
Event
NavDirection
Role
State
Text
queryAccessibleInterface
updateAccessibility

List of All Member Functions

Header File

# QAccessibleInterface Class Reference

QAccessibleInterface
childCount
clearSelection
controlAt
doDefaultAction
isValid
navigate
queryChild
queryParent
rect
role
selection
setFocus
setSelected
setText
state
text

List of All Member Functions

Header File

# QAccessibleObject Class Reference

QAccessibleObject
object
~QAccessibleObject

List of All Member Functions

Header File

# QAction Class Reference

QAction
accel
accel
activated
addTo
addedTo
clearStatusText
enabled
iconSet
iconSet
isEnabled
isOn
isToggleAction
isVisible
menuStatusText
menuText
menuText
on
removeFrom
setAccel
setEnabled
setIconSet
setMenuText
setOn
setStatusTip
setText
setToggleAction
setToolTip
setVisible
setWhatsThis
showStatusText
statusTip
statusTip
text
text
toggle
toggleAction
toggled
toolTip
toolTip
visible
whatsThis
whatsThis
~QAction

List of All Member Functions

Header File

# QActionGroup Class Reference

QActionGroup
add
addSeparator
addTo
addedTo
exclusive
isExclusive
selected
setExclusive
setUsesDropDown
usesDropDown
usesDropDown
~QActionGroup

List of All Member Functions

Header File

# QApplication Class Reference

QApplication
ColorSpec
Encoding
Type
aboutToQuit
activeModalWidget
activePopupWidget
activeWindow
addLibraryPath
allWidgets
argc
argv
beep
clipboard
closeAllWindows
closingDown
colorSpec
commitData
cursorFlashTime
desktop
desktopSettingsAware
doubleClickInterval
eventLoop
exec
exit
flush
flushX
focusWidget
font
fontMetrics
globalStrut
guiThreadAwake
hasGlobalMouseTracking
hasPendingEvents
horizontalAlignment
initialize
installTranslator
isEffectEnabled
isSessionRestored
lastWindowClosed
libraryPaths
lock
locked
macEventFilter
mainWidget
notify
overrideCursor
palette
polish
postEvent
processEvents
quit
qwsDecoration
qwsEventFilter
qwsSetCustomColors
qwsSetDecoration
removeLibraryPath
removePostedEvent
removePostedEvents
removeTranslator
restoreOverrideCursor
reverseLayout
saveState
sendEvent
sendPostedEvents
sessionId
sessionKey
setColorSpec
setCursorFlashTime
setDesktopSettingsAware
setDoubleClickInterval
setEffectEnabled
setFont
setGlobalMouseTracking
setGlobalStrut
setLibraryPaths
setMainWidget
setOverrideCursor
setPalette
setReverseLayout
setStartDragDistance
setStartDragTime
setStyle
setWheelScrollLines
startDragDistance
startDragTime
startingUp
style
syncX
topLevelWidgets
translate
tryLock
type
unlock
wakeUpGuiThread
wheelScrollLines
widgetAt
winEventFilter
winFocus
x11EventFilter
x11ProcessEvent
~QApplication
Q_ASSERT
Q_CHECK_PTR
qAddPostRoutine
qDebug
qFatal
qInstallMsgHandler
qSysInfo
qSystemWarning
qVersion
qWarning

List of All Member Functions

Header File

# QAsciiCache Class Reference

QAsciiCache
clear
count
find
insert
isEmpty
maxCost
operator[]
remove
setMaxCost
size
statistics
take
totalCost
~QAsciiCache

List of All Member Functions

Header File

# QAsciiCacheIterator Class Reference

QAsciiCacheIterator
atFirst
atLast
count
current
currentKey
isEmpty
operator type *
operator()
operator++
operator+=
operator--
operator-=
operator=
toFirst
toLast

List of All Member Functions

Header File

# QAsciiDict Class Reference

QAsciiDict
clear
count
find
insert
isEmpty
operator=
operator[]
read
remove
replace
resize
size
statistics
take
write
~QAsciiDict

List of All Member Functions

Header File

# QAsciiDictIterator Class Reference

QAsciiDictIterator
count
current
currentKey
isEmpty
operator type *
operator()
operator++
operator+=
toFirst
~QAsciiDictIterator

List of All Member Functions

Header File

# QAssistantClient Class Reference

QAssistantClient
assistantClosed
assistantOpened
closeAssistant
error
isOpen
open
openAssistant
showPage
~QAssistantClient

List of All Member Functions

Header File

# QAsyncIO Class Reference

connect
ready
~QAsyncIO

List of All Member Functions

Header File

# QBig5Codec Class Reference

QBig5Codec

List of All Member Functions

Header File

# QBig5hkscsCodec Class Reference

QBig5hkscsCodec

List of All Member Functions

Header File

# QBitArray Class Reference

QBitArray
at
clearBit
copy
detach
fill
operator&=
operator=
operator[]
operator^=
operator|=
operator~
pad0
resize
setBit
size
testBit
toggleBit
operator&
operator<<
operator>>
operator^
operator|

List of All Member Functions

Header File

# QBitmap Class Reference

QBitmap
operator=
xForm

List of All Member Functions

Header File

# QBitVal Class Reference

QBitVal
operator int
operator=

List of All Member Functions

Header File

# QBoxLayout Class Reference

QBoxLayout
Direction
addItem
addLayout
addSpacing
addStretch
addStrut
addWidget
direction
expanding
findWidget
hasHeightForWidth
heightForWidth
insertItem
insertLayout
insertSpacing
insertStretch
insertWidget
invalidate
maximumSize
minimumSize
setDirection
setGeometry
setStretchFactor
sizeHint
~QBoxLayout

List of All Member Functions

Header File

# QBrush Class Reference

QBrush
color
copy
detach
operator!=
operator=
operator==
pixmap
setColor
setPixmap
setStyle
style
~QBrush
operator<<
operator>>

List of All Member Functions

Header File

# QBuffer Class Reference

QBuffer
buffer
setBuffer
writeBlock
~QBuffer

List of All Member Functions

Header File

# QButton Class Reference

QButton
ToggleState
ToggleType
accel
accel
animateClick
animateTimeout
autoRepeat
autoRepeat
autoRepeatTimeout
clicked
down
drawButton
drawButtonLabel
exclusiveToggle
group
hitButton
isDown
isExclusiveToggle
isOn
isToggleButton
on
paintEvent
pixmap
pixmap
pressed
released
setAccel
setAutoRepeat
setDown
setOn
setPixmap
setState
setText
setToggleButton
setToggleType
state
stateChanged
text
text
toggle
toggleButton
toggleState
toggleType
toggleType
toggled
~QButton

List of All Member Functions

Header File

# QButtonGroup Class Reference

QButtonGroup
clicked
count
exclusive
find
id
init
insert
isExclusive
isRadioButtonExclusive
moveFocus
pressed
radioButtonExclusive
released
remove
selected
setButton
setExclusive
setRadioButtonExclusive

List of All Member Functions

Header File

# QByteArray Class Reference

QByteArray
qCompress
qUncompress

List of All Member Functions

Header File

# QCache Class Reference

QCache
clear
count
find
insert
isEmpty
maxCost
operator[]
remove
setMaxCost
size
statistics
take
totalCost
~QCache

List of All Member Functions

Header File

# QCacheIterator Class Reference

QCacheIterator
atFirst
atLast
count
current
currentKey
isEmpty
operator type *
operator()
operator++
operator+=
operator--
operator-=
operator=
toFirst
toLast

List of All Member Functions

Header File

# QCanvas Class Reference

QCanvas
advance
allItems
backgroundColor
backgroundPixmap
chunkSize
collisions
drawArea
drawBackground
drawForeground
height
onCanvas
rect
resize
resized
retune
setAdvancePeriod
setAllChanged
setBackgroundColor
setBackgroundPixmap
setChanged
setDoubleBuffering
setTile
setTiles
setUnchanged
setUpdatePeriod
size
tile
tileHeight
tileWidth
tilesHorizontally
tilesVertically
update
validChunk
width
~QCanvas

List of All Member Functions

Header File

# QCanvasEllipse Class Reference

QCanvasEllipse
angleLength
angleStart
drawShape
height
rtti
setAngles
setSize
width
~QCanvasEllipse

List of All Member Functions

Header File

# QCanvasItem Class Reference

QCanvasItem
RttiValues
advance
animated
boundingRect
boundingRectAdvanced
canvas
collidesWith
collisions
draw
hide
isActive
isEnabled
isSelected
isVisible
move
moveBy
rtti
setActive
setAnimated
setCanvas
setEnabled
setSelected
setVelocity
setVisible
setX
setXVelocity
setY
setYVelocity
setZ
show
update
x
xVelocity
y
yVelocity
z
~QCanvasItem

List of All Member Functions

Header File

# QCanvasItemList Class Reference

QCanvasItemList

List of All Member Functions

Header File

# QCanvasLine Class Reference

QCanvasLine
endPoint
rtti
setPoints
startPoint
~QCanvasLine

List of All Member Functions

Header File

# QCanvasPixmap Class Reference

QCanvasPixmap
offsetX
offsetY
setOffset
~QCanvasPixmap

List of All Member Functions

Header File

# QCanvasPixmapArray Class Reference

QCanvasPixmapArray
count
image
isValid
readCollisionMasks
readPixmaps
setImage
~QCanvasPixmapArray

List of All Member Functions

Header File

# QCanvasPolygon Class Reference

QCanvasPolygon
areaPoints
drawShape
points
rtti
setPoints
~QCanvasPolygon

List of All Member Functions

Header File

# QCanvasPolygonalItem Class Reference

QCanvasPolygonalItem
areaPoints
areaPointsAdvanced
boundingRect
brush
draw
drawShape
invalidate
isValid
pen
rtti
setBrush
setPen
setWinding
winding
~QCanvasPolygonalItem

List of All Member Functions

Header File

# QCanvasRectangle Class Reference

QCanvasRectangle
chunks
drawShape
height
rect
rtti
setSize
size
width
~QCanvasRectangle

List of All Member Functions

Header File

# QCanvasSpline Class Reference

QCanvasSpline
closed
controlPoints
rtti
setControlPoints
~QCanvasSpline

List of All Member Functions

Header File

# QCanvasSprite Class Reference

QCanvasSprite
FrameAnimationType
advance
bottomEdge
boundingRect
collidesWith
draw
frame
frameCount
height
image
imageAdvanced
leftEdge
move
rightEdge
rtti
setFrame
setFrameAnimation
setSequence
topEdge
width
~QCanvasSprite

List of All Member Functions

Header File

# QCanvasText Class Reference

QCanvasText
addToChunks
boundingRect
color
draw
font
removeFromChunks
rtti
setColor
setFont
setText
setTextFlags
text
textFlags
~QCanvasText

List of All Member Functions

Header File

# QCanvasView Class Reference

QCanvasView
canvas
drawContents
inverseWorldMatrix
setCanvas
setWorldMatrix
sizeHint
worldMatrix
~QCanvasView

List of All Member Functions

Header File

# QCDEStyle Class Reference

QCDEStyle
~QCDEStyle

List of All Member Functions

Header File

# QChar Class Reference

QChar
Category
CombiningClass
Decomposition
Direction
Joining
category
cell
combiningClass
decomposition
decompositionTag
digitValue
direction
isDigit
isLetter
isLetterOrNumber
isMark
isNull
isNumber
isPrint
isPunct
isSpace
isSymbol
joining
latin1
lower
mirrored
mirroredChar
operator char
row
unicode
upper
operator!=
operator<
operator<=
operator==
operator>
operator>=

List of All Member Functions

Header File

# QCharRef Class Reference

QCharRef

List of All Member Functions

Header File

# QCheckBox Class Reference

QCheckBox
autoMask
checked
isChecked
isTristate
setChecked
setNoChange
setTristate
tristate

List of All Member Functions

Header File

# QCheckListItem Class Reference

QCheckListItem
Type
activate
isOn
paintCell
paintFocus
rtti
setOn
stateChange
text
turnOffChild
type
~QCheckListItem

List of All Member Functions

Header File

# QCheckTableItem Class Reference

QCheckTableItem
isChecked
rtti
setChecked

List of All Member Functions

Header File

# QChildEvent Class Reference

QChildEvent
child
inserted
removed

List of All Member Functions

Header File

# QClipboard Class Reference

QClipboard
Mode
clear
data
dataChanged
image
ownsClipboard
ownsSelection
pixmap
selectionChanged
setData
setImage
setPixmap
setText
supportsSelection
text

List of All Member Functions

Header File

# QCloseEvent Class Reference

QCloseEvent
accept
ignore
isAccepted

List of All Member Functions

Header File

# QColor Class Reference

QColor
Spec
alloc
blue
cleanup
currentAllocContext
dark
destroyAllocContext
enterAllocContext
green
hsv
initGlobalColors
initialize
isValid
leaveAllocContext
light
maxColors
name
numBitPlanes
operator!=
operator=
operator==
pixel
red
rgb
setHsv
setNamedColor
setRgb
operator<<
operator>>
qAlpha
qBlue
qGray
qGreen
qRed
qRgb
qRgba

List of All Member Functions

Header File

# QColorDialog Class Reference

QColorDialog
color
customColor
customCount
getColor
getRgba
selectColor
selectedAlpha
setColor
setCustomColor
setSelectedAlpha
setStandardColor
~QColorDialog

List of All Member Functions

Header File

# QColorDrag Class Reference

QColorDrag
canDecode
decode
setColor

List of All Member Functions

Header File

# QColorGroup Class Reference

QColorGroup
ColorRole
background
base
brightText
brush
button
buttonText
color
dark
foreground
highlight
highlightedText
light
link
linkVisited
mid
midlight
operator!=
operator=
operator==
setBrush
setColor
shadow
text
~QColorGroup
operator<<

List of All Member Functions

Header File

# QComboBox Class Reference

QComboBox
Policy
activated
autoCompletion
autoCompletion
autoMask
changeItem
clear
clearEdit
clearValidator
completionIndex
count
count
currentItem
currentItem
currentText
currentText
duplicatesEnabled
duplicatesEnabled
editable
editable
highlighted
insertItem
insertStrList
insertStringList
insertionPolicy
insertionPolicy
lineEdit
listBox
maxCount
maxCount
pixmap
popup
removeItem
returnPressed
setAutoCompletion
setCurrentItem
setCurrentText
setDuplicatesEnabled
setEditText
setEditable
setFont
setInsertionPolicy
setLineEdit
setListBox
setMaxCount
setPalette
setSizeLimit
setValidator
sizeLimit
sizeLimit
text
textChanged
validator
~QComboBox

List of All Member Functions

Header File

# QComboTableItem Class Reference

QComboTableItem
count
currentItem
currentText
isEditable
rtti
setCurrentItem
setEditable
setStringList
text

List of All Member Functions

Header File

# QCommonStyle Class Reference

QCommonStyle

List of All Member Functions

Header File

# QConstString Class Reference

QConstString
string
~QConstString

List of All Member Functions

Header File

# QContextMenuEvent Class Reference

QContextMenuEvent
Reason
accept
consume
globalPos
globalX
globalY
ignore
isAccepted
isConsumed
pos
reason
state
x
y

List of All Member Functions

Header File

# QCopChannel Class Reference

QCopChannel
channel
isRegistered
receive
received
send
~QCopChannel

List of All Member Functions

Header File

# QCString Class Reference

QCString
append
contains
copy
fill
find
findRev
insert
isEmpty
isNull
left
leftJustify
length
lower
mid
operator const char *
operator+=
operator=
prepend
remove
replace
resize
right
rightJustify
setExpand
setNum
setStr
simplifyWhiteSpace
sprintf
stripWhiteSpace
toDouble
toFloat
toInt
toLong
toShort
toUInt
toULong
toUShort
truncate
upper
operator!=
operator+
operator<
operator<<
operator<=
operator==
operator>
operator>=
operator>>
qmemmove
qstrcmp
qstrcpy
qstrdup
qstricmp
qstrlen
qstrncmp
qstrncpy
qstrnicmp

List of All Member Functions

Header File

# QCursor Class Reference

QCursor
bitmap
cleanup
handle
hotSpot
initialize
mask
operator=
pos
setPos
setShape
shape
~QCursor
operator<<
operator>>

List of All Member Functions

Header File

# QCustomEvent Class Reference

QCustomEvent
data
setData

List of All Member Functions

Header File

# QCustomMenuItem Class Reference

QCustomMenuItem
fullSpan
isSeparator
paint
setFont
sizeHint
~QCustomMenuItem

List of All Member Functions

Header File

# QDataBrowser Class Reference

QDataBrowser
Boundary
autoEdit
autoEdit
beforeDelete
beforeInsert
beforeUpdate
boundary
boundaryChecking
boundaryChecking
clearValues
confirmCancel
confirmCancels
confirmCancels
confirmDelete
confirmDelete
confirmEdit
confirmEdits
confirmEdits
confirmInsert
confirmInsert
confirmUpdate
confirmUpdate
currentChanged
currentEdited
cursorChanged
del
deleteCurrent
filter
filter
first
firstRecordAvailable
form
handleError
insert
insertCurrent
isReadOnly
last
lastRecordAvailable
next
nextRecordAvailable
prev
prevRecordAvailable
primeDelete
primeInsert
primeUpdate
readFields
readOnly
refresh
seek
setAutoEdit
setBoundaryChecking
setConfirmCancels
setConfirmDelete
setConfirmEdits
setConfirmInsert
setConfirmUpdate
setFilter
setForm
setReadOnly
setSort
setSqlCursor
sort
sort
sqlCursor
update
updateBoundary
updateCurrent
writeFields
~QDataBrowser

List of All Member Functions

Header File

# QDataPump Class Reference

List of All Member Functions

Header File

# QDataSink Class Reference

eof
maybeReady
readyToReceive
receive

List of All Member Functions

Header File

# QDataSource Class Reference

enableRewind
maybeReady
readyToSend
rewind
rewindable
sendTo

List of All Member Functions

Header File

# QDataStream Class Reference

QDataStream
ByteOrder
atEnd
byteOrder
device
isPrintableData
operator<<
operator>>
readBytes
readRawBytes
setByteOrder
setDevice
setPrintableData
setVersion
unsetDevice
version
writeBytes
writeRawBytes
~QDataStream

List of All Member Functions

Header File

# QDataTable Class Reference

QDataTable
Refresh
addColumn
adjustColumn
autoDelete
autoEdit
autoEdit
beforeDelete
beforeInsert
beforeUpdate
beginInsert
beginUpdate
confirmCancel
confirmCancels
confirmCancels
confirmDelete
confirmDelete
confirmEdit
confirmEdits
confirmEdits
confirmInsert
confirmInsert
confirmUpdate
confirmUpdate
currentChanged
currentRecord
cursorChanged
dateFormat
dateFormat
deleteCurrent
falseText
falseText
fieldAlignment
filter
filter
find
handleError
indexOf
insertCurrent
installEditorFactory
installPropertyMap
nullText
nullText
numCols
numCols
numRows
numRows
paintField
primeDelete
primeInsert
primeUpdate
refresh
removeColumn
reset
setAutoDelete
setAutoEdit
setColumn
setColumnWidth
setConfirmCancels
setConfirmDelete
setConfirmEdits
setConfirmInsert
setConfirmUpdate
setDateFormat
setFalseText
setFilter
setNullText
setSize
setSort
setSqlCursor
setTrueText
sort
sort
sortAscending
sortColumn
sortDescending
sqlCursor
text
trueText
trueText
updateCurrent
value
~QDataTable

List of All Member Functions

Header File

# QDataView Class Reference

QDataView
clearValues
form
readFields
record
refresh
setForm
setRecord
writeFields
~QDataView

List of All Member Functions

Header File

# QDate Class Reference

QDate
addDays
addMonths
addYears
currentDate
day
dayOfWeek
dayOfYear
daysInMonth
daysInYear
daysTo
fromString
isNull
isValid
leapYear
longDayName
longMonthName
month
operator!=
operator<
operator<=
operator==
operator>
operator>=
setYMD
shortDayName
shortMonthName
toString
weekNumber
year
operator<<
operator>>

List of All Member Functions

Header File

# QDateEdit Class Reference

QDateEdit
Order
autoAdvance
autoAdvance
date
date
fix
maxValue
maxValue
minValue
minValue
order
order
sectionFormattedText
sectionLength
sectionText
separator
setAutoAdvance
setDate
setDay
setMaxValue
setMinValue
setMonth
setOrder
setRange
setSeparator
setYear
updateButtons
valueChanged
~QDateEdit

List of All Member Functions

Header File

# QDateTime Class Reference

QDateTime
addDays
addMonths
addSecs
addYears
currentDateTime
date
daysTo
fromString
isNull
isValid
operator!=
operator<
operator<=
operator==
operator>
operator>=
secsTo
setDate
setTime
setTime_t
time
toString
toTime_t
operator<<
operator>>

List of All Member Functions

Header File

# QDateTimeEdit Class Reference

QDateTimeEdit
autoAdvance
dateEdit
dateTime
dateTime
setAutoAdvance
setDateTime
timeEdit
valueChanged
~QDateTimeEdit

List of All Member Functions

Header File

# QDeepCopy Class Reference

QDeepCopy
operator T
operator=

List of All Member Functions

Header File

# QDesktopWidget Class Reference

QDesktopWidget
availableGeometry
isVirtualDesktop
numScreens
primaryScreen
screen
screenGeometry
screenNumber
~QDesktopWidget

List of All Member Functions

Header File

# QDial Class Reference

QDial
addLine
addPage
dialMoved
dialPressed
dialReleased
lineStep
lineStep
maxValue
maxValue
minValue
minValue
notchSize
notchSize
notchTarget
notchTarget
notchesVisible
notchesVisible
pageStep
pageStep
rangeChange
repaintScreen
setLineStep
setMaxValue
setMinValue
setNotchTarget
setNotchesVisible
setPageStep
setTracking
setValue
setWrapping
subtractLine
subtractPage
tracking
tracking
value
value
valueChange
valueChanged
wrapping
wrapping
~QDial

List of All Member Functions

Header File

# QDialog Class Reference

QDialog
DialogCode
accept
done
exec
extension
isSizeGripEnabled
orientation
reject
result
setExtension
setOrientation
setResult
setSizeGripEnabled
show
showExtension
sizeGripEnabled
~QDialog

List of All Member Functions

Header File

# QDict Class Reference

QDict
clear
count
find
insert
isEmpty
operator=
operator[]
read
remove
replace
resize
size
statistics
take
write
~QDict

List of All Member Functions

Header File

# QDictIterator Class Reference

QDictIterator
count
current
currentKey
isEmpty
operator type *
operator()
operator++
toFirst
~QDictIterator

List of All Member Functions

Header File

# QDir Class Reference

QDir
FilterSpec
SortSpec
absFilePath
absPath
canonicalPath
cd
cdUp
cleanDirPath
convertSeparators
convertToAbs
count
current
currentDirPath
dirName
drives
entryInfoList
entryList
exists
filePath
filter
home
homeDirPath
isReadable
isRelative
isRelativePath
isRoot
match
matchAllDirs
mkdir
nameFilter
operator!=
operator=
operator==
operator[]
path
refresh
remove
rename
rmdir
root
rootDirPath
separator
setCurrent
setFilter
setMatchAllDirs
setNameFilter
setPath
setSorting
sorting
~QDir

List of All Member Functions

Header File

# QDirectPainter Class Reference

QDirectPainter
depth
frameBuffer
height
lineStep
numRects
offset
rect
region
setAreaChanged
size
transformOrientation
width
xOffset
yOffset
~QDirectPainter

List of All Member Functions

Header File

# QDns Class Reference

QDns
RecordType
addresses
canonicalName
hostNames
isWorking
label
mailServers
qualifiedNames
recordType
resultsReady
servers
setLabel
setRecordType
setStartQueryTimer
texts
toInAddrArpaDomain
~QDns

List of All Member Functions

Header File

# QDockArea Class Reference

QDockArea
HandlePosition
count
count
dockWindowList
empty
handlePosition
handlePosition
hasDockWindow
isDockWindowAccepted
isEmpty
lineUp
moveDockWindow
orientation
orientation
removeDockWindow
setAcceptDockWindow
~QDockArea
operator<<
operator>>

List of All Member Functions

Header File

# QDockWindow Class Reference

QDockWindow
CloseMode
Place
area
boxLayout
closeMode
closeMode
dock
fixedExtent
horizontallyStretchable
isCloseEnabled
isHorizontallyStretchable
isMovingEnabled
isResizeEnabled
isStretchable
isVerticallyStretchable
movingEnabled
newLine
newLine
offset
offset
opaqueMoving
opaqueMoving
orientation
orientationChanged
place
place
placeChanged
resizeEnabled
setCloseMode
setFixedExtentHeight
setFixedExtentWidth
setHorizontallyStretchable
setMovingEnabled
setNewLine
setOffset
setOpaqueMoving
setOrientation
setResizeEnabled
setVerticallyStretchable
setWidget
stretchable
undock
verticallyStretchable
visibilityChanged
widget

List of All Member Functions

Header File

# QDomAttr Class Reference

QDomAttr
isAttr
name
nodeType
operator=
ownerElement
setValue
specified
value
~QDomAttr

List of All Member Functions

Header File

# QDomCDATASection Class Reference

QDomCDATASection
isCDATASection
nodeType
operator=
~QDomCDATASection

List of All Member Functions

Header File

# QDomCharacterData Class Reference

QDomCharacterData
appendData
data
deleteData
insertData
isCharacterData
length
nodeType
operator=
replaceData
setData
substringData
~QDomCharacterData

List of All Member Functions

Header File

# QDomComment Class Reference

QDomComment
isComment
nodeType
operator=
~QDomComment

List of All Member Functions

Header File

# QDomDocument Class Reference

QDomDocument
createAttribute
createAttributeNS
createCDATASection
createComment
createDocumentFragment
createElement
createElementNS
createEntityReference
createProcessingInstruction
createTextNode
doctype
documentElement
elementById
elementsByTagName
elementsByTagNameNS
implementation
importNode
isDocument
nodeType
operator=
setContent
toCString
toString
~QDomDocument

List of All Member Functions

Header File

# QDomDocumentFragment Class Reference

QDomDocumentFragment
isDocumentFragment
nodeType
operator=
~QDomDocumentFragment

List of All Member Functions

Header File

# QDomDocumentType Class Reference

QDomDocumentType
entities
internalSubset
isDocumentType
name
nodeType
notations
operator=
publicId
systemId
~QDomDocumentType

List of All Member Functions

Header File

# QDomElement Class Reference

QDomElement
attribute
attributeNS
attributeNode
attributeNodeNS
attributes
elementsByTagName
elementsByTagNameNS
hasAttribute
hasAttributeNS
isElement
nodeType
operator=
removeAttribute
removeAttributeNS
removeAttributeNode
setAttribute
setAttributeNS
setAttributeNode
setAttributeNodeNS
setTagName
tagName
text
~QDomElement

List of All Member Functions

Header File

# QDomEntity Class Reference

QDomEntity
isEntity
nodeType
notationName
operator=
publicId
systemId
~QDomEntity

List of All Member Functions

Header File

# QDomEntityReference Class Reference

QDomEntityReference
isEntityReference
nodeType
operator=
~QDomEntityReference

List of All Member Functions

Header File

# QDomImplementation Class Reference

QDomImplementation
createDocument
createDocumentType
hasFeature
isNull
operator!=
operator=
operator==
~QDomImplementation

List of All Member Functions

Header File

# QDomNamedNodeMap Class Reference

QDomNamedNodeMap
contains
count
item
length
namedItem
namedItemNS
operator!=
operator=
operator==
removeNamedItem
removeNamedItemNS
setNamedItem
setNamedItemNS
~QDomNamedNodeMap

List of All Member Functions

Header File

# QDomNode Class Reference

QDomNode
NodeType
appendChild
attributes
childNodes
clear
cloneNode
firstChild
hasAttributes
hasChildNodes
insertAfter
insertBefore
isAttr
isCDATASection
isCharacterData
isComment
isDocument
isDocumentFragment
isDocumentType
isElement
isEntity
isEntityReference
isNotation
isNull
isProcessingInstruction
isSupported
isText
lastChild
localName
namedItem
namespaceURI
nextSibling
nodeName
nodeType
nodeValue
normalize
operator!=
operator=
operator==
ownerDocument
parentNode
prefix
previousSibling
removeChild
replaceChild
save
setNodeValue
setPrefix
toAttr
toCDATASection
toCharacterData
toComment
toDocument
toDocumentFragment
toDocumentType
toElement
toEntity
toEntityReference
toNotation
toProcessingInstruction
toText
~QDomNode
operator<<

List of All Member Functions

Header File

# QDomNodeList Class Reference

QDomNodeList
count
item
length
operator!=
operator=
operator==
~QDomNodeList

List of All Member Functions

Header File

# QDomNotation Class Reference

QDomNotation
isNotation
nodeType
operator=
publicId
systemId
~QDomNotation

List of All Member Functions

Header File

# QDomProcessingInstruction Class Reference

QDomProcessingInstruction
data
isProcessingInstruction
nodeType
operator=
setData
target
~QDomProcessingInstruction

List of All Member Functions

Header File

# QDomText Class Reference

QDomText
isText
nodeType
operator=
splitText
~QDomText

List of All Member Functions

Header File

# QDoubleValidator Class Reference

QDoubleValidator
bottom
bottom
decimals
decimals
setBottom
setDecimals
setRange
setTop
top
top
validate
~QDoubleValidator

List of All Member Functions

Header File

# QDragEnterEvent Class Reference

QDragEnterEvent

List of All Member Functions

Header File

# QDragLeaveEvent Class Reference

QDragLeaveEvent

List of All Member Functions

Header File

# QDragMoveEvent Class Reference

QDragMoveEvent
accept
answerRect
ignore

List of All Member Functions

Header File

# QDragObject Class Reference

QDragObject
DragMode
drag
dragCopy
dragLink
dragMove
pixmap
pixmapHotSpot
setPixmap
source
target
~QDragObject

List of All Member Functions

Header File

# QDropEvent Class Reference

QDropEvent
Action
accept
acceptAction
action
encodedData
format
ignore
isAccepted
isActionAccepted
pos
provides
setAction
setPoint
source

List of All Member Functions

Header File

# QDropSite Class Reference

~QDropSite

List of All Member Functions

Header File

# QEditorFactory Class Reference

QEditorFactory
createEditor
defaultFactory
installDefaultFactory
~QEditorFactory

List of All Member Functions

Header File

# QErrorMessage Class Reference

QErrorMessage
message
qtHandler
~QErrorMessage

List of All Member Functions

Header File

# QEucJpCodec Class Reference

QEucJpCodec
mibEnum
mimeName
~QEucJpCodec

List of All Member Functions

Header File

# QEucKrCodec Class Reference

QEucKrCodec
mimeName

List of All Member Functions

Header File

# QEvent Class Reference

QEvent
Type
spontaneous
type
~QEvent

List of All Member Functions

Header File

# QEventLoop Class Reference

QEventLoop
ProcessEvents
ProcessEventsFlags
aboutToBlock
activateSocketNotifiers
activateTimers
awake
enterLoop
exec
exit
exitLoop
hasPendingEvents
loopLevel
processEvents
registerSocketNotifier
setSocketNotifierPending
timeToWait
unregisterSocketNotifier
wakeUp
~QEventLoop

List of All Member Functions

Header File

# QFile Class Reference

QFile
DecoderFn
EncoderFn
at
atEnd
close
decodeName
encodeName
exists
flush
getch
handle
name
open
putch
readLine
remove
setDecodingFunction
setEncodingFunction
setName
size
ungetch
writeBlock
~QFile

List of All Member Functions

Header File

# QFileDialog Class Reference

QFileDialog
Mode
PreviewMode
ViewMode
addFilter
addLeftWidget
addRightWidget
addToolButton
addWidgets
contentsPreview
dir
dirEntered
dirPath
dirPath
fileHighlighted
fileNameEditDone
fileSelected
filesSelected
filterSelected
fixupNameEdit
getExistingDirectory
getOpenFileName
getOpenFileNames
getSaveFileName
iconProvider
infoPreview
isContentsPreviewEnabled
isInfoPreviewEnabled
mode
mode
modeButtonsDestroyed
previewMode
previewMode
rereadDir
resortDir
selectAll
selectDirectoryOrFile
selectedFile
selectedFile
selectedFiles
selectedFiles
selectedFilter
selectedFilter
setContentsPreview
setContentsPreviewEnabled
setDir
setFilter
setFilters
setIconProvider
setInfoPreview
setInfoPreviewEnabled
setMode
setPreviewMode
setSelectedFilter
setSelection
setShowHiddenFiles
setUrl
setViewMode
showHiddenFiles
showHiddenFiles
stopCopy
updateFileNameEdit
updateGeometries
url
viewMode
viewMode
~QFileDialog

List of All Member Functions

Header File

# QFileIconProvider Class Reference

QFileIconProvider
pixmap

List of All Member Functions

Header File

# QFileInfo Class Reference

QFileInfo
PermissionSpec
absFilePath
baseName
caching
convertToAbs
created
dir
dirPath
exists
extension
fileName
filePath
group
groupId
isDir
isExecutable
isFile
isHidden
isReadable
isRelative
isSymLink
isWritable
lastModified
lastRead
operator=
owner
ownerId
permission
readLink
refresh
setCaching
setFile
size
~QFileInfo

List of All Member Functions

Header File

# QFilePreview Class Reference

QFilePreview
previewUrl

List of All Member Functions

Header File

# QFocusData Class Reference

QFocusData
count
first
focusWidget
home
last
next
prev

List of All Member Functions

Header File

# QFocusEvent Class Reference

QFocusEvent
Reason
gotFocus
lostFocus
reason
resetReason
setReason

List of All Member Functions

Header File

# QFont Class Reference

QFont
Script
StyleHint
StyleStrategy
Weight
bold
deciPointSize
defaultFamily
dirty
exactMatch
family
fixedPitch
fromString
handle
insertSubstitution
insertSubstitutions
isCopyOf
italic
key
lastResortFamily
lastResortFont
operator!=
operator=
operator==
pixelSize
pointSize
pointSizeFloat
qwsRenderToDisk
rawMode
rawName
removeSubstitution
setBold
setFamily
setFixedPitch
setItalic
setPixelSize
setPointSize
setPointSizeFloat
setRawMode
setRawName
setStrikeOut
setStyleHint
setStyleStrategy
setUnderline
setWeight
strikeOut
styleHint
styleStrategy
substitute
substitutes
substitutions
toString
underline
weight
~QFont
operator<<
operator>>

List of All Member Functions

Header File

# QFontDatabase Class Reference

QFontDatabase
bold
families
font
isBitmapScalable
isFixedPitch
isScalable
isSmoothlyScalable
italic
pointSizes
scriptName
scriptSample
smoothSizes
standardSizes
styleString
styles
weight

List of All Member Functions

Header File

# QFontDialog Class Reference

QFontDialog
getFont

List of All Member Functions

Header File

# QFontInfo Class Reference

QFontInfo
bold
exactMatch
family
fixedPitch
italic
operator=
pixelSize
pointSize
rawMode
reset
styleHint
weight
~QFontInfo

List of All Member Functions

Header File

# QFontManager Class Reference

QFontManager
cleanup
get
initialize
~QFontManager

List of All Member Functions

Header File

# QFontMetrics Class Reference

QFontMetrics
ascent
boundingRect
charWidth
descent
height
inFont
leading
leftBearing
lineSpacing
lineWidth
maxWidth
minLeftBearing
minRightBearing
operator=
reset
rightBearing
size
strikeOutPos
underlinePos
width
~QFontMetrics

List of All Member Functions

Header File

# QFrame Class Reference

QFrame
Shadow
Shape
contentsRect
contentsRect
drawContents
drawFrame
frameChanged
frameRect
frameRect
frameShadow
frameShadow
frameShape
frameShape
frameStyle
frameWidth
frameWidth
lineWidth
lineWidth
margin
margin
midLineWidth
midLineWidth
paintEvent
resizeEvent
setFrameRect
setFrameShadow
setFrameShape
setFrameStyle
setLineWidth
setMargin
setMidLineWidth

List of All Member Functions

Header File

# QFtp Class Reference

QFtp
Command
Error
State
abort
bytesAvailable
cd
clearPendingCommands
close
commandFinished
commandStarted
connectToHost
currentCommand
currentDevice
currentId
dataTransferProgress
done
error
errorString
get
hasPendingCommands
list
listInfo
login
mkdir
put
rawCommand
rawCommandReply
readAll
readBlock
readyRead
remove
rename
rmdir
state
stateChanged
~QFtp

List of All Member Functions

Header File

# QGb18030Codec Class Reference

QGb18030Codec

List of All Member Functions

Header File

# QGb2312Codec Class Reference

QGb2312Codec

List of All Member Functions

Header File

# QGbkCodec Class Reference

QGbkCodec

List of All Member Functions

Header File

# QGfxDriverFactory Class Reference

QGfxDriverFactory
create
keys

List of All Member Functions

Header File

# QGfxDriverPlugin Class Reference

QGfxDriverPlugin
create
keys
~QGfxDriverPlugin

List of All Member Functions

Header File

# QGL Class Reference

QGL
FormatOption

List of All Member Functions

Header File

# QGLayoutIterator Class Reference

QGLayoutIterator
current
next
takeCurrent
~QGLayoutIterator

List of All Member Functions

Header File

# QGLColormap Class Reference

QGLColormap
detach
entryColor
entryRgb
find
findNearest
isEmpty
operator=
setEntries
setEntry
size
~QGLColormap

List of All Member Functions

Header File

# QGLContext Class Reference

QGLContext
chooseContext
choosePixelFormat
create
currentContext
device
deviceIsPixmap
doneCurrent
format
generateFontDisplayLists
initialized
isSharing
isValid
makeCurrent
overlayTransparentColor
requestedFormat
reset
setFormat
setInitialized
setWindowCreated
swapBuffers
windowCreated
~QGLContext

List of All Member Functions

Header File

# QGLFormat Class Reference

QGLFormat
accum
alpha
defaultFormat
defaultOverlayFormat
depth
directRendering
doubleBuffer
hasOpenGL
hasOpenGLOverlays
hasOverlay
plane
rgba
setAccum
setAlpha
setDefaultFormat
setDefaultOverlayFormat
setDepth
setDirectRendering
setDoubleBuffer
setOption
setOverlay
setPlane
setRgba
setStencil
setStereo
stencil
stereo
testOption

List of All Member Functions

Header File

# QGLWidget Class Reference

QGLWidget
autoBufferSwap
colormap
context
convertToGLFormat
doubleBuffer
format
glDraw
glInit
grabFrameBuffer
initializeGL
initializeOverlayGL
isSharing
isValid
makeCurrent
makeOverlayCurrent
overlayContext
paintEvent
paintGL
paintOverlayGL
qglClearColor
qglColor
renderPixmap
renderText
resizeEvent
resizeGL
resizeOverlayGL
setAutoBufferSwap
setColormap
swapBuffers
updateGL
updateOverlayGL
~QGLWidget

List of All Member Functions

Header File

# QGrid Class Reference

QGrid
setSpacing

List of All Member Functions

Header File

# QGridLayout Class Reference

QGridLayout
Corner
add
addColSpacing
addItem
addLayout
addMultiCell
addMultiCellLayout
addMultiCellWidget
addRowSpacing
addWidget
cellGeometry
colStretch
expand
expanding
findWidget
hasHeightForWidth
heightForWidth
init
invalidate
maximumSize
minimumSize
numCols
numRows
origin
rowStretch
setColStretch
setGeometry
setOrigin
setRowStretch
sizeHint
~QGridLayout

List of All Member Functions

Header File

# QGridView Class Reference

QGridView
cellGeometry
cellHeight
cellHeight
cellRect
cellWidth
cellWidth
columnAt
dimensionChange
ensureCellVisible
gridSize
numCols
numCols
numRows
numRows
paintCell
paintEmptyArea
repaintCell
rowAt
setCellHeight
setCellWidth
setNumCols
setNumRows
updateCell
~QGridView

List of All Member Functions

Header File

# QGroupBox Class Reference

QGroupBox
addSpace
alignment
alignment
calculateFrame
columns
columns
fixFocus
flat
insideMargin
insideSpacing
isFlat
orientation
orientation
setAlignment
setColumnLayout
setColumns
setFlat
setInsideMargin
setInsideSpacing
setOrientation
setTitle
title
title

List of All Member Functions

Header File

# QGuardedPtr Class Reference

QGuardedPtr
isNull
operator T *
operator!=
operator*
operator->
operator=
operator==
~QGuardedPtr

List of All Member Functions

Header File

# QHBox Class Reference

QHBox
setSpacing
setStretchFactor

List of All Member Functions

Header File

# QHBoxLayout Class Reference

QHBoxLayout
~QHBoxLayout

List of All Member Functions

Header File

# QHButtonGroup Class Reference

QHButtonGroup
~QHButtonGroup

List of All Member Functions

Header File

# QHeader Class Reference

QHeader
addLabel
adjustHeaderSize
clicked
count
count
handleColumnMove
headerWidth
iconSet
indexChange
isClickEnabled
isMovingEnabled
isResizeEnabled
isStretchEnabled
label
mapToIndex
mapToSection
moveSection
moving
offset
offset
orientation
orientation
paintSection
paintSectionLabel
pressed
released
removeLabel
resizeSection
sRect
sectionAt
sectionPos
sectionRect
sectionSize
setClickEnabled
setLabel
setMovingEnabled
setOffset
setOrientation
setResizeEnabled
setSortIndicator
setStretchEnabled
setTracking
sizeChange
stretching
tracking
tracking
~QHeader

List of All Member Functions

Header File

# QHebrewCodec Class Reference

QHebrewCodec
fromUnicode
mimeName

List of All Member Functions

Header File

# QHGroupBox Class Reference

QHGroupBox
~QHGroupBox

List of All Member Functions

Header File

# QHideEvent Class Reference

QHideEvent

List of All Member Functions

Header File

# QHostAddress Class Reference

QHostAddress
ip4Addr
isIp4Addr
operator=
operator==
setAddress
toString
~QHostAddress

List of All Member Functions

Header File

# QHttp Class Reference

QHttp
Error
State
abort
bytesAvailable
clearPendingRequests
closeConnection
currentDestinationDevice
currentId
currentRequest
currentSourceDevice
dataReadProgress
dataSendProgress
done
error
errorString
get
hasPendingRequests
head
post
readAll
readBlock
readyRead
request
requestFinished
requestStarted
responseHeaderReceived
setHost
state
stateChanged
~QHttp

List of All Member Functions

Header File

# QHttpHeader Class Reference

QHttpHeader
contentLength
contentType
hasContentLength
hasContentType
hasKey
isValid
keys
majorVersion
minorVersion
operator=
removeValue
setContentLength
setContentType
setValue
toString
value
~QHttpHeader

List of All Member Functions

Header File

# QHttpRequestHeader Class Reference

QHttpRequestHeader
majorVersion
method
minorVersion
path
setRequest

List of All Member Functions

Header File

# QHttpResponseHeader Class Reference

QHttpResponseHeader
majorVersion
minorVersion
reasonPhrase
setStatusLine
statusCode

List of All Member Functions

Header File

# QIconDrag Class Reference

QIconDrag
append
canDecode
encodedData
~QIconDrag

List of All Member Functions

Header File

# QIconDragItem Class Reference

QIconDragItem
data
setData
~QIconDragItem

List of All Member Functions

Header File

# QIconFactory Class Reference

QIconFactory
autoDelete
createPixmap
defaultFactory
installDefaultFactory
setAutoDelete
~QIconFactory

List of All Member Functions

Header File

# QIconSet Class Reference

QIconSet
Mode
Size
State
clearGenerated
createDisabled
createScaled
detach
iconSize
installIconFactory
isGenerated
isNull
operator=
pixmap
reset
setIconSize
setPixmap
~QIconSet

List of All Member Functions

Header File

# QIconView Class Reference

QIconView
Arrangement
ItemTextPos
ResizeMode
SelectionMode
adjustItems
arrangeItemsInGrid
arrangement
arrangement
autoArrange
autoArrange
clear
clearSelection
clicked
contextMenuRequested
count
count
currentChanged
currentItem
doAutoScroll
doubleClicked
dragObject
drawBackground
drawDragShapes
drawRubber
dropped
emitSelectionChanged
ensureItemVisible
findFirstVisibleItem
findItem
findLastVisibleItem
firstItem
gridX
gridX
gridY
gridY
index
initDragEnter
insertInGrid
insertItem
invertSelection
isRenaming
itemRenamed
itemTextBackground
itemTextBackground
itemTextPos
itemTextPos
itemsMovable
itemsMovable
lastItem
makeRowLayout
maxItemTextLength
maxItemTextLength
maxItemWidth
maxItemWidth
mouseButtonClicked
mouseButtonPressed
moved
onItem
onViewport
pressed
repaintItem
repaintSelectedItems
resizeMode
resizeMode
returnPressed
rightButtonClicked
rightButtonPressed
selectAll
selectionChanged
selectionMode
selectionMode
setArrangement
setAutoArrange
setCurrentItem
setGridX
setGridY
setItemTextBackground
setItemTextPos
setItemsMovable
setMaxItemTextLength
setMaxItemWidth
setResizeMode
setSelected
setSelectionMode
setShowToolTips
setSorting
setSpacing
setWordWrapIconText
showToolTips
showToolTips
slotUpdate
sort
sortDirection
sortDirection
sorting
sorting
spacing
spacing
startDrag
takeItem
wordWrapIconText
wordWrapIconText
~QIconView

List of All Member Functions

Header File

# QIconViewItem Class Reference

QIconViewItem
acceptDrop
calcRect
cancelRenameItem
compare
contains
dragEnabled
dragEntered
dragLeft
dropEnabled
dropped
height
iconView
index
init
intersects
isSelectable
isSelected
key
move
moveBy
nextItem
paintFocus
paintItem
picture
pixmap
pixmapRect
pos
prevItem
rect
removeRenameBox
rename
renameEnabled
renameItem
repaint
rtti
setDragEnabled
setDropEnabled
setItemRect
setKey
setPicture
setPixmap
setPixmapRect
setRenameEnabled
setSelectable
setSelected
setText
setTextRect
size
text
textRect
width
x
y
~QIconViewItem

List of All Member Functions

Header File

# QImage Class Reference

QImage
Endian
ScaleMode
allGray
bitOrder
bits
bytesPerLine
color
colorTable
convertBitOrder
convertDepth
convertDepthWithPalette
copy
create
createAlphaMask
createHeuristicMask
depth
detach
dotsPerMeterX
dotsPerMeterY
fill
fromMimeSource
hasAlphaBuffer
height
imageFormat
inputFormatList
inputFormats
invertPixels
isGrayscale
isNull
jumpTable
load
loadFromData
mirror
numBytes
numColors
offset
operator!=
operator=
operator==
outputFormatList
outputFormats
pixel
pixelIndex
rect
reset
save
scale
scaleHeight
scaleWidth
scanLine
setAlphaBuffer
setColor
setDotsPerMeterX
setDotsPerMeterY
setNumColors
setOffset
setPixel
setText
size
smoothScale
swapRGB
systemBitOrder
systemByteOrder
text
textKeys
textLanguages
textList
valid
width
xForm
~QImage
operator<<
operator>>

List of All Member Functions

Header File

# QImageConsumer Class Reference

QImageConsumer
changed
end
frameDone
setFramePeriod
setLooping
setSize

List of All Member Functions

Header File

# QImageDecoder Class Reference

QImageDecoder
decode
format
formatName
image
inputFormats
registerDecoderFactory
unregisterDecoderFactory
~QImageDecoder

List of All Member Functions

Header File

# QImageDrag Class Reference

QImageDrag
canDecode
decode
setImage
~QImageDrag

List of All Member Functions

Header File

# QImageFormat Class Reference

QImageFormat
decode

List of All Member Functions

Header File

# QImageFormatPlugin Class Reference

QImageFormatPlugin
installIOHandler
keys
~QImageFormatPlugin

List of All Member Functions

Header File

# QImageFormatType Class Reference

QImageFormatType
decoderFor
formatName
~QImageFormatType

List of All Member Functions

Header File

# QImageIO Class Reference

QImageIO
defineIOHandler
description
fileName
format
gamma
image
imageFormat
init
inputFormats
ioDevice
outputFormats
parameters
quality
read
setDescription
setFileName
setFormat
setGamma
setIODevice
setImage
setParameters
setQuality
setStatus
status
write
~QImageIO

List of All Member Functions

Header File

# QIMEvent Class Reference

QIMEvent
accept
cursorPos
ignore
isAccepted
selectionLength
text

List of All Member Functions

Header File

# QInputDialog Class Reference

QInputDialog
Type
comboBox
editableComboBox
getDouble
getInteger
getItem
getText
lineEdit
setType
spinBox
type
~QInputDialog

List of All Member Functions

Header File

# QIntCache Class Reference

QIntCache
clear
count
find
insert
isEmpty
maxCost
operator[]
remove
setMaxCost
size
statistics
take
totalCost
~QIntCache

List of All Member Functions

Header File

# QIntCacheIterator Class Reference

QIntCacheIterator
atFirst
atLast
count
current
currentKey
isEmpty
operator type *
operator()
operator++
operator+=
operator--
operator-=
operator=
toFirst
toLast

List of All Member Functions

Header File

# QIntDict Class Reference

QIntDict
clear
count
find
insert
isEmpty
operator=
operator[]
read
remove
replace
resize
size
statistics
take
write
~QIntDict

List of All Member Functions

Header File

# QIntDictIterator Class Reference

QIntDictIterator
count
current
currentKey
isEmpty
operator type *
operator()
operator++
operator+=
toFirst
~QIntDictIterator

List of All Member Functions

Header File

# QIntValidator Class Reference

QIntValidator
bottom
bottom
setBottom
setRange
setTop
top
top
validate
~QIntValidator

List of All Member Functions

Header File

# QIODevice Class Reference

QIODevice
Offset
at
atEnd
close
flags
flush
getch
isAsynchronous
isBuffered
isCombinedAccess
isDirectAccess
isInactive
isOpen
isRaw
isReadWrite
isReadable
isSequentialAccess
isSynchronous
isTranslated
isWritable
mode
open
putch
readAll
readBlock
readLine
reset
resetStatus
size
state
status
ungetch
writeBlock
~QIODevice

List of All Member Functions

Header File

# QIODeviceSource Class Reference

enableRewind
readyToSend
rewind
rewindable
sendTo
~QIODeviceSource

List of All Member Functions

Header File

# QJisCodec Class Reference

QJisCodec
mimeName

List of All Member Functions

Header File

# QKbdDriverFactory Class Reference

QKbdDriverFactory
create
keys

List of All Member Functions

Header File

# QKbdDriverPlugin Class Reference

QKbdDriverPlugin
create
keys
~QKbdDriverPlugin

List of All Member Functions

Header File

# QKeyEvent Class Reference

QKeyEvent
accept
ascii
count
ignore
isAccepted
isAutoRepeat
key
state
stateAfter
text

List of All Member Functions

Header File

# QKeySequence Class Reference

QKeySequence
assign
count
decodeString
encodeString
isEmpty
matches
operator QString
operator!=
operator=
operator==
operator[]
~QKeySequence
operator<<
operator>>

List of All Member Functions

Header File

# QLabel Class Reference

QLabel
alignment
alignment
buddy
clear
drawContents
hasScaledContents
indent
indent
movie
picture
pixmap
pixmap
scaledContents
setAlignment
setBuddy
setFont
setIndent
setMovie
setNum
setPicture
setPixmap
setScaledContents
setText
setTextFormat
sizeForWidth
text
text
textFormat
textFormat
updateLabel
~QLabel

List of All Member Functions

Header File

# QLayout Class Reference

QLayout
ResizeMode
activate
add
addChildLayout
addItem
alignmentRect
autoAdd
deleteAllItems
expanding
invalidate
isEmpty
isEnabled
isTopLevel
iterator
mainWidget
margin
margin
maximumSize
menuBar
minimumSize
remove
removeItem
resizeMode
resizeMode
setAutoAdd
setEnabled
setGeometry
setMargin
setMenuBar
setResizeMode
setSpacing
setSupportsMargin
setWidgetLayout
spacing
spacing
supportsMargin

List of All Member Functions

Header File

# QLayoutItem Class Reference

QLayoutItem
alignment
expanding
geometry
hasHeightForWidth
heightForWidth
invalidate
isEmpty
iterator
layout
maximumSize
minimumSize
setAlignment
setGeometry
sizeHint
spacerItem
widget
~QLayoutItem

List of All Member Functions

Header File

# QLayoutIterator Class Reference

QLayoutIterator
current
deleteCurrent
operator++
operator=
takeCurrent
~QLayoutIterator

List of All Member Functions

Header File

# QLCDNumber Class Reference

QLCDNumber
Mode
SegmentStyle
checkOverflow
display
drawContents
intValue
intValue
mode
mode
numDigits
numDigits
overflow
segmentStyle
segmentStyle
setBinMode
setDecMode
setHexMode
setMode
setNumDigits
setOctMode
setSegmentStyle
setSmallDecimalPoint
smallDecimalPoint
smallDecimalPoint
value
value
~QLCDNumber

List of All Member Functions

Header File

# QLibrary Class Reference

QLibrary
autoUnload
isLoaded
library
load
resolve
setAutoUnload
unload
~QLibrary

List of All Member Functions

Header File

# QLineEdit Class Reference

QLineEdit
EchoMode
alignment
alignment
backspace
characterAt
clear
clearValidator
copy
createPopupMenu
cursorBackward
cursorForward
cursorPosition
cursorPosition
cursorWordBackward
cursorWordForward
cut
del
deselect
displayText
displayText
dragEnabled
dragEnabled
echoMode
echoMode
edited
edited
end
frame
frame
getSelection
hasSelectedText
hasSelectedText
home
insert
isReadOnly
isRedoAvailable
isUndoAvailable
keyPressEvent
lostFocus
maxLength
maxLength
minimumSizeHint
paste
readOnly
redo
redoAvailable
returnPressed
selectAll
selectedText
selectedText
selectionChanged
setAlignment
setCursorPosition
setDragEnabled
setEchoMode
setEdited
setFrame
setMaxLength
setReadOnly
setSelection
setText
setValidator
sizeHint
text
text
textChanged
undo
undoAvailable
validateAndSet
validator
~QLineEdit

List of All Member Functions

Header File

# QListBox Class Reference

QListBox
LayoutMode
SelectionMode
autoBottomScrollBar
autoScrollBar
bottomScrollBar
centerCurrentItem
changeItem
clear
clearSelection
clicked
columnAt
columnMode
columnMode
contextMenuRequested
count
count
currentChanged
currentColumn
currentItem
currentItem
currentRow
currentText
currentText
doLayout
doubleClicked
ensureCurrentVisible
findItem
firstItem
highlighted
index
insertItem
insertStrList
insertStringList
invertSelection
isRubberSelecting
isSelected
item
itemAt
itemHeight
itemRect
itemVisible
maxItemWidth
mouseButtonClicked
mouseButtonPressed
numColumns
numColumns
numItemsVisible
numItemsVisible
numRows
numRows
onItem
onViewport
paintCell
pixmap
pressed
refreshSlot
removeItem
returnPressed
rightButtonClicked
rightButtonPressed
rowAt
rowMode
rowMode
scrollBar
selectAll
selected
selectedItem
selectionChanged
selectionMode
selectionMode
setAutoBottomScrollBar
setAutoScrollBar
setBottomItem
setBottomScrollBar
setColumnMode
setCurrentItem
setRowMode
setScrollBar
setSelected
setSelectionMode
setTopItem
setVariableHeight
setVariableWidth
sort
takeItem
text
toggleCurrentItem
topItem
topItem
triggerUpdate
tryGeometry
updateItem
variableHeight
variableHeight
variableWidth
variableWidth
~QListBox

List of All Member Functions

Header File

# QListBoxItem Class Reference

QListBoxItem
height
isCurrent
isSelectable
isSelected
listBox
next
paint
pixmap
prev
rtti
setCustomHighlighting
setSelectable
setText
text
width
~QListBoxItem

List of All Member Functions

Header File

# QListBoxPixmap Class Reference

QListBoxPixmap
height
paint
pixmap
width
~QListBoxPixmap

List of All Member Functions

Header File

# QListBoxText Class Reference

QListBoxText
height
paint
width
~QListBoxText

List of All Member Functions

Header File

# QListView Class Reference

QListView
RenameAction
ResizeMode
SelectionMode
WidthMode
addColumn
allColumnsShowFocus
allColumnsShowFocus
changeSortColumn
childCount
childCount
clear
clearSelection
clicked
collapsed
columnAlignment
columnText
columnWidth
columnWidthMode
columns
columns
contentsMouseDoubleClickEvent
contentsMouseMoveEvent
contentsMousePressEvent
contentsMouseReleaseEvent
contextMenuRequested
currentChanged
currentItem
defaultRenameAction
defaultRenameAction
doAutoScroll
doubleClicked
dragObject
drawContentsOffset
dropped
ensureItemVisible
eventFilter
expanded
findItem
firstChild
handleSizeChange
header
insertItem
invertSelection
isOpen
isRenaming
isSelected
itemAt
itemMargin
itemMargin
itemPos
itemRect
itemRenamed
lastItem
mouseButtonClicked
mouseButtonPressed
onItem
onViewport
paintEmptyArea
pressed
reconfigureItems
removeColumn
repaintItem
resizeEvent
resizeMode
resizeMode
returnPressed
rightButtonClicked
rightButtonPressed
rootIsDecorated
rootIsDecorated
selectAll
selectedItem
selectionChanged
selectionMode
selectionMode
setAllColumnsShowFocus
setColumnAlignment
setColumnText
setColumnWidth
setColumnWidthMode
setCurrentItem
setDefaultRenameAction
setItemMargin
setOpen
setResizeMode
setRootIsDecorated
setSelected
setSelectionMode
setShowSortIndicator
setShowToolTips
setSorting
setTreeStepSize
showSortIndicator
showSortIndicator
showToolTips
showToolTips
sort
sortColumn
spacePressed
startDrag
takeItem
treeStepSize
treeStepSize
triggerUpdate
updateContents
widthChanged
~QListView

List of All Member Functions

Header File

# QListViewItem Class Reference

QListViewItem
acceptDrop
activate
activatedPos
cancelRename
childCount
compare
depth
dragEnabled
dragEntered
dragLeft
dropEnabled
dropped
enforceSortOrder
enforceSortOrderBackToRoot
firstChild
height
insertItem
invalidateHeight
isEnabled
isExpandable
isOpen
isSelectable
isSelected
isVisible
itemAbove
itemBelow
itemPos
key
listView
moveItem
moveToJustAfter
multiLinesEnabled
nextSibling
okRename
paintBranches
paintCell
paintFocus
parent
pixmap
removeRenameBox
renameEnabled
repaint
rtti
setDragEnabled
setDropEnabled
setEnabled
setExpandable
setHeight
setMultiLinesEnabled
setOpen
setPixmap
setRenameEnabled
setSelectable
setSelected
setText
setVisible
setup
sort
sortChildItems
startRename
takeItem
text
totalHeight
width
widthChanged
~QListViewItem

List of All Member Functions

Header File

# QListViewItemIterator Class Reference

QListViewItemIterator
addToListView
current
currentRemoved
operator*
operator++
operator+=
operator--
operator-=
operator=
~QListViewItemIterator

List of All Member Functions

Header File

# QLocalFs Class Reference

QLocalFs

List of All Member Functions

Header File

# QMacStyle Class Reference

QMacStyle
~QMacStyle

List of All Member Functions

Header File

# QMainWindow Class Reference

QMainWindow
DockWindows
addDockWindow
appropriate
bottomDock
centralWidget
childEvent
createDockWindowMenu
customize
dockWindowPositionChanged
dockWindows
dockWindowsMovable
dockWindowsMovable
getLocation
hasDockWindow
isCustomizable
isDockEnabled
isDockMenuEnabled
leftDock
lineUpDockWindows
menuAboutToShow
menuBar
moveDockWindow
opaqueMoving
opaqueMoving
pixmapSizeChanged
removeDockWindow
rightDock
rightJustification
rightJustification
setAppropriate
setCentralWidget
setDockEnabled
setDockMenuEnabled
setDockWindowsMovable
setMenuBar
setOpaqueMoving
setRightJustification
setStatusBar
setToolTipGroup
setUpLayout
setUsesBigPixmaps
setUsesTextLabel
showDockMenu
statusBar
toolBars
toolTipGroup
topDock
usesBigPixmaps
usesBigPixmaps
usesTextLabel
usesTextLabel
usesTextLabelChanged
whatsThis
~QMainWindow
operator<<
operator>>

List of All Member Functions

Header File

# QMap Class Reference

QMap
ConstIterator
Iterator
ValueType
begin
clear
const_iterator
const_pointer
const_reference
contains
count
detach
empty
end
erase
find
insert
isEmpty
iterator
key_type
keys
mapped_type
operator=
operator[]
pointer
reference
remove
replace
size
size_type
value_type
values
~QMap
operator<<
operator>>

List of All Member Functions

Header File

# QMapConstIterator Class Reference

QMapConstIterator
data
iterator_category
key
operator!=
operator*
operator++
operator--
operator==
pointer
reference
value_type

List of All Member Functions

Header File

# QMapIterator Class Reference

QMapIterator
data
iterator_category
key
operator!=
operator*
operator++
operator--
operator==
pointer
reference
value_type

List of All Member Functions

Header File

# QMemArray Class Reference

QMemArray
ConstIterator
Iterator
assign
at
begin
bsearch
contains
copy
count
data
detach
duplicate
end
fill
find
isEmpty
isNull
nrefs
operator const type *
operator!=
operator=
operator==
operator[]
resetRawData
resize
setRawData
size
sort
truncate
~QMemArray
operator<<
operator>>
qChecksum

List of All Member Functions

Header File

# QMenuBar Class Reference

QMenuBar
Separator
activated
defaultUp
drawContents
heightForWidth
hide
highlighted
isDefaultUp
menuContentsChanged
menuStateChanged
setDefaultUp
setupAccelerators
show
~QMenuBar

List of All Member Functions

Header File

# QMenuData Class Reference

QMenuData
accel
activateItemAt
changeItem
changeItemIconSet
clear
connectItem
count
disconnectItem
findItem
iconSet
idAt
indexOf
insertItem
insertSeparator
isItemActive
isItemChecked
isItemEnabled
isItemVisible
itemParameter
menuContentsChanged
menuDelPopup
menuInsPopup
menuStateChanged
pixmap
removeItem
removeItemAt
setAccel
setId
setItemChecked
setItemEnabled
setItemParameter
setItemVisible
setWhatsThis
text
updateItem
whatsThis
~QMenuData

List of All Member Functions

Header File

# QMessageBox Class Reference

QMessageBox
Icon
about
aboutQt
adjustSize
buttonClicked
buttonText
critical
icon
icon
iconPixmap
iconPixmap
information
setButtonText
setIcon
setIconPixmap
setText
setTextFormat
standardIcon
text
text
textFormat
textFormat
warning
~QMessageBox

List of All Member Functions

Header File

# QMetaObject Class Reference

QMetaObject
classInfo
className
findProperty
inherits
numClassInfo
numProperties
numSignals
numSlots
property
propertyNames
signalNames
slotNames
superClass
superClassName

List of All Member Functions

Header File

# QMetaProperty Class Reference

QMetaProperty
designable
enumKeys
isEnumType
isSetType
keyToValue
keysToValue
name
reset
scriptable
stored
type
valueToKey
valueToKeys
writable

List of All Member Functions

Header File

# QMimeSource Class Reference

QMimeSource
encodedData
format
provides
serialNumber
~QMimeSource

List of All Member Functions

Header File

# QMimeSourceFactory Class Reference

QMimeSourceFactory
addFactory
addFilePath
data
defaultFactory
filePath
makeAbsolute
removeFactory
setData
setDefaultFactory
setExtensionType
setFilePath
setImage
setPixmap
setText
takeDefaultFactory
~QMimeSourceFactory

List of All Member Functions

Header File

# QMotifPlusStyle Class Reference

QMotifPlusStyle

List of All Member Functions

Header File

# QMotifStyle Class Reference

QMotifStyle
setUseHighlightColors
useHighlightColors

List of All Member Functions

Header File

# QMouseDriverFactory Class Reference

QMouseDriverFactory
create
keys

List of All Member Functions

Header File

# QMouseDriverPlugin Class Reference

QMouseDriverPlugin
create
keys
~QMouseDriverPlugin

List of All Member Functions

Header File

# QMouseEvent Class Reference

QMouseEvent
accept
button
globalPos
globalX
globalY
ignore
isAccepted
pos
state
stateAfter
x
y

List of All Member Functions

Header File

# QMoveEvent Class Reference

QMoveEvent
oldPos
pos

List of All Member Functions

Header File

# QMovie Class Reference

QMovie
Status
backgroundColor
connectResize
connectStatus
connectUpdate
disconnectResize
disconnectStatus
disconnectUpdate
finished
frameImage
frameNumber
framePixmap
getValidRect
isNull
operator=
pause
paused
pushData
pushSpace
restart
running
setBackgroundColor
setSpeed
speed
step
steps
unpause
~QMovie

List of All Member Functions

Header File

# QMultiLineEdit Class Reference

alignment
alignment
atBeginning
atBeginning
atEnd
atEnd
backspace
cursorDown
cursorLeft
cursorPoint
cursorRight
cursorUp
cursorWordBackward
cursorWordForward
edited
edited
end
getMarkedRegion
hasMarkedText
home
insertAndMark
insertAt
insertLine
killLine
lineLength
markedText
newLine
numLines
numLines
pageDown
pageUp
removeLine
setAlignment
setCursorPosition
setEdited
textLine

List of All Member Functions

Header File

# QMutex Class Reference

QMutex
lock
locked
tryLock
unlock
~QMutex

List of All Member Functions

Header File

# QMutexLocker Class Reference

QMutexLocker
mutex
~QMutexLocker

List of All Member Functions

Header File

# QNetworkOperation Class Reference

QNetworkOperation
arg
errorCode
free
operation
protocolDetail
rawArg
setArg
setErrorCode
setProtocolDetail
setRawArg
setState
state
~QNetworkOperation

List of All Member Functions

Header File

# QNetworkProtocol Class Reference

QNetworkProtocol
ConnectionState
Error
Operation
State
addOperation
autoDelete
checkConnection
clearOperationQueue
connectionStateChanged
createdDirectory
data
dataTransferProgress
finished
getNetworkProtocol
hasOnlyLocalFileSystem
itemChanged
newChild
newChildren
operationGet
operationInProgress
operationListChildren
operationMkDir
operationPut
operationRemove
operationRename
registerNetworkProtocol
removed
setAutoDelete
setUrl
start
stop
supportedOperations
url
~QNetworkProtocol

List of All Member Functions

Header File

# QNPInstance Class Reference

QNPInstance
InstanceMode
Reason
StreamMode
arg
argc
argn
argv
getJavaPeer
getURL
getURLNotify
mode
newStream
newStreamCreated
newWindow
notifyURL
postURL
print
printFullPage
status
streamAsFile
streamDestroyed
userAgent
widget
write
writeReady
~QNPInstance

List of All Member Functions

Header File

# QNPlugin Class Reference

QNPlugin
actual
create
getJavaClass
getJavaEnv
getMIMEDescription
getPluginDescriptionString
getPluginNameString
getVersionInfo
newInstance
unuseJavaClass
~QNPlugin

List of All Member Functions

Header File

# QNPStream Class Reference

QNPStream
complete
end
instance
lastModified
okay
requestRead
seekable
type
url
write
~QNPStream

List of All Member Functions

Header File

# QNPWidget Class Reference

QNPWidget
enterInstance
instance
leaveInstance
~QNPWidget

List of All Member Functions

Header File

# QObject Class Reference

QObject
activate_signal
blockSignals
checkConnectArgs
child
childEvent
children
className
cleanupEventFilter
connect
connectNotify
customEvent
deleteLater
destroyed
disconnect
disconnectNotify
dumpObjectInfo
dumpObjectTree
event
eventFilter
highPriority
inherits
insertChild
installEventFilter
isA
isWidgetType
killTimer
killTimers
metaObject
name
name
normalizeSignalSlot
objectTrees
parent
property
queryList
removeChild
removeEventFilter
sender
setName
setProperty
signalsBlocked
startTimer
timerEvent
tr
trUtf8
~QObject
qt_find_obj_child

List of All Member Functions

Header File

# QObjectCleanupHandler Class Reference

QObjectCleanupHandler
add
clear
isEmpty
remove
~QObjectCleanupHandler

List of All Member Functions

Header File

# QObjectList Class Reference

QObjectList
operator=
~QObjectList

List of All Member Functions

Header File

# QPaintDevice Class Reference

QPaintDevice
cmd
handle
isExtDev
paintingActive
x11AppCells
x11AppColormap
x11AppDefaultColormap
x11AppDefaultVisual
x11AppDepth
x11AppDisplay
x11AppDpiX
x11AppDpiY
x11AppRootWindow
x11AppScreen
x11AppVisual
x11Cells
x11Colormap
x11DefaultColormap
x11DefaultVisual
x11Depth
x11Display
x11Screen
x11SetAppDpiX
x11SetAppDpiY
x11Visual
~QPaintDevice
bitBlt

List of All Member Functions

Header File

# QPaintDeviceMetrics Class Reference

QPaintDeviceMetrics
depth
height
heightMM
logicalDpiX
logicalDpiY
numColors
width
widthMM

List of All Member Functions

Header File

# QPainter Class Reference

QPainter
CoordinateMode
TextDirection
backgroundColor
backgroundMode
begin
boundingRect
brush
brushOrigin
clipRegion
device
drawArc
drawChord
drawConvexPolygon
drawCubicBezier
drawEllipse
drawImage
drawLine
drawLineSegments
drawPicture
drawPie
drawPixmap
drawPoint
drawPoints
drawPolygon
drawPolyline
drawRect
drawRoundRect
drawText
drawTiledPixmap
drawWinFocusRect
end
eraseRect
fillRect
flush
font
fontInfo
fontMetrics
handle
hasClipping
hasViewXForm
hasWorldXForm
isActive
lineTo
moveTo
pen
pos
rasterOp
redirect
resetXForm
restore
rotate
save
scale
setBackgroundColor
setBackgroundMode
setBrush
setBrushOrigin
setClipRect
setClipRegion
setClipping
setFont
setPen
setRasterOp
setTabArray
setTabStops
setViewXForm
setViewport
setWindow
setWorldMatrix
setWorldXForm
shear
tabArray
tabStops
translate
viewport
window
worldMatrix
xForm
xFormDev
~QPainter
qDrawPlainRect
qDrawShadeLine
qDrawShadePanel
qDrawShadeRect
qDrawWinButton
qDrawWinPanel

List of All Member Functions

Header File

# QPaintEvent Class Reference

QPaintEvent
erased
rect
region

List of All Member Functions

Header File

# QPair Class Reference

QPair
first_type
second_type
qMakePair

List of All Member Functions

Header File

# QPalette Class Reference

QPalette
ColorGroup
active
brush
color
copy
detach
disabled
inactive
isCopyOf
operator!=
operator=
operator==
serialNumber
setActive
setBrush
setColor
setDisabled
setInactive
~QPalette
operator<<
operator>>

List of All Member Functions

Header File

# QPen Class Reference

QPen
capStyle
color
copy
detach
joinStyle
operator!=
operator=
operator==
setCapStyle
setColor
setJoinStyle
setStyle
setWidth
style
width
~QPen
operator<<
operator>>

List of All Member Functions

Header File

# QPicture Class Reference

QPicture
boundingRect
copy
data
detach
isNull
load
metric
operator=
play
save
setBoundingRect
setData
size
~QPicture
operator<<
operator>>

List of All Member Functions

Header File

# QPixmap Class Reference

QPixmap
ColorMode
Optimization
convertFromImage
convertToImage
copy
createHeuristicMask
defaultDepth
defaultOptimization
depth
detach
fill
fromMimeSource
grabWidget
grabWindow
hasAlpha
height
imageFormat
isNull
isQBitmap
load
loadFromData
mask
metric
operator=
optimization
rect
resize
save
selfMask
serialNumber
setDefaultOptimization
setMask
setOptimization
size
trueMatrix
width
xForm
~QPixmap
operator<<
operator>>

List of All Member Functions

Header File

# QPixmapCache Class Reference

QPixmapCache
cacheLimit
clear
find
insert
setCacheLimit

List of All Member Functions

Header File

# QPlatinumStyle Class Reference

QPlatinumStyle
drawRiffles
mixedColor

List of All Member Functions

Header File

# QPNGImagePacker Class Reference

QPNGImagePacker
packImage
setPixelAlignment

List of All Member Functions

Header File

# QPoint Class Reference

QPoint
isNull
manhattanLength
operator*=
operator+=
operator-=
operator/=
rx
ry
setX
setY
x
y
operator!=
operator*
operator+
operator-
operator/
operator<<
operator==
operator>>

List of All Member Functions

Header File

# QPointArray Class Reference

QPointArray
boundingRect
copy
cubicBezier
makeArc
makeEllipse
operator=
point
putPoints
setPoint
setPoints
translate
~QPointArray
operator<<
operator>>

List of All Member Functions

Header File

# QPopupMenu Class Reference

QPopupMenu
aboutToHide
aboutToShow
activated
checkable
columns
drawContents
drawItem
exec
highlighted
idAt
insertTearOffHandle
isCheckable
itemHeight
popup
setActiveItem
setCheckable
updateItem
~QPopupMenu

List of All Member Functions

Header File

# QPrinter Class Reference

QPrinter
ColorMode
Orientation
PageOrder
PageSize
PaperSource
PrinterMode
abort
aborted
colorMode
creator
docName
fromPage
fullPage
margins
maxPage
minPage
newPage
numCopies
orientation
outputFileName
outputToFile
pageOrder
pageSize
paperSource
printProgram
printerName
printerSelectionOption
resolution
setColorMode
setCreator
setDocName
setFromTo
setFullPage
setMargins
setMinMax
setNumCopies
setOrientation
setOutputFileName
setOutputToFile
setPageOrder
setPageSize
setPaperSource
setPrintProgram
setPrinterName
setPrinterSelectionOption
setResolution
setup
toPage
winPageSize
~QPrinter

List of All Member Functions

Header File

# QProcess Class Reference

QProcess
Communication
addArgument
arguments
canReadLineStderr
canReadLineStdout
clearArguments
closeStdin
communication
exitStatus
isRunning
kill
launch
launchFinished
normalExit
processExited
processIdentifier
readLineStderr
readLineStdout
readStderr
readStdout
readyReadStderr
readyReadStdout
setArguments
setCommunication
setWorkingDirectory
start
tryTerminate
workingDirectory
writeToStdin
wroteToStdin
~QProcess

List of All Member Functions

Header File

# QProgressBar Class Reference

QProgressBar
centerIndicator
centerIndicator
indicatorFollowsStyle
indicatorFollowsStyle
percentageVisible
percentageVisible
progress
progress
progressString
progressString
reset
setCenterIndicator
setIndicator
setIndicatorFollowsStyle
setPercentageVisible
setProgress
setTotalSteps
totalSteps
totalSteps

List of All Member Functions

Header File

# QProgressDialog Class Reference

QProgressDialog
autoClose
autoClose
autoReset
autoReset
bar
cancel
cancelled
forceShow
label
labelText
labelText
minimumDuration
minimumDuration
progress
progress
reset
setAutoClose
setAutoReset
setBar
setCancelButton
setCancelButtonText
setLabel
setLabelText
setMinimumDuration
setProgress
setTotalSteps
sizeHint
totalSteps
totalSteps
wasCancelled
wasCancelled
~QProgressDialog

List of All Member Functions

Header File

# QPtrCollection Class Reference

QPtrCollection
Item
autoDelete
clear
count
deleteItem
newItem
setAutoDelete
~QPtrCollection

List of All Member Functions

Header File

# QPtrDict Class Reference

QPtrDict
clear
count
find
insert
isEmpty
operator=
operator[]
read
remove
replace
resize
size
statistics
take
write
~QPtrDict

List of All Member Functions

Header File

# QPtrDictIterator Class Reference

QPtrDictIterator
count
current
currentKey
isEmpty
operator type *
operator()
operator++
operator+=
toFirst
~QPtrDictIterator

List of All Member Functions

Header File

# QPtrList Class Reference

QPtrList
append
at
clear
compareItems
contains
containsRef
count
current
currentNode
find
findNext
findNextRef
findRef
first
getFirst
getLast
inSort
insert
isEmpty
last
next
operator!=
operator=
operator==
prepend
prev
read
remove
removeFirst
removeLast
removeNode
removeRef
replace
sort
take
takeNode
toVector
write
~QPtrList

List of All Member Functions

Header File

# QPtrListIterator Class Reference

QPtrListIterator
atFirst
atLast
count
current
isEmpty
operator type *
operator()
operator*
operator++
operator+=
operator--
operator-=
operator=
toFirst
toLast
~QPtrListIterator

List of All Member Functions

Header File

# QPtrQueue Class Reference

QPtrQueue
autoDelete
clear
count
current
dequeue
enqueue
head
isEmpty
operator type *
operator=
read
remove
setAutoDelete
write
~QPtrQueue

List of All Member Functions

Header File

# QPtrStack Class Reference

QPtrStack
autoDelete
clear
count
current
isEmpty
operator type *
operator=
pop
push
read
remove
setAutoDelete
top
write
~QPtrStack

List of All Member Functions

Header File

# QPtrVector Class Reference

QPtrVector
at
bsearch
clear
compareItems
contains
containsRef
count
data
fill
find
findRef
insert
isEmpty
isNull
operator=
operator==
operator[]
read
remove
resize
size
sort
take
write
~QPtrVector

List of All Member Functions

Header File

# QPushButton Class Reference

QPushButton
autoDefault
autoDefault
autoMask
default
flat
iconSet
iconSet
isDefault
isFlat
on
popup
setAutoDefault
setDefault
setFlat
setIconSet
setOn
setPopup
setToggleButton
toggleButton
~QPushButton

List of All Member Functions

Header File

# QRadioButton Class Reference

QRadioButton
autoMask
checked
isChecked
setChecked

List of All Member Functions

Header File

# QRangeControl Class Reference

QRangeControl
addLine
addPage
bound
directSetValue
lineStep
maxValue
minValue
pageStep
positionFromValue
prevValue
rangeChange
setMaxValue
setMinValue
setRange
setSteps
setValue
stepChange
subtractLine
subtractPage
value
valueChange
valueFromPosition
~QRangeControl

List of All Member Functions

Header File

# QRect Class Reference

QRect
addCoords
bottom
bottomLeft
bottomRight
center
contains
coords
height
intersect
intersects
isEmpty
isNull
isValid
left
moveBottom
moveBottomLeft
moveBottomRight
moveBy
moveCenter
moveLeft
moveRight
moveTop
moveTopLeft
moveTopRight
normalize
operator&
operator&=
operator|
operator|=
rBottom
rLeft
rRight
rTop
rect
right
setBottom
setBottomLeft
setBottomRight
setCoords
setHeight
setLeft
setRect
setRight
setSize
setTop
setTopLeft
setTopRight
setWidth
setX
setY
size
top
topLeft
topRight
unite
width
x
y
operator!=
operator<<
operator==
operator>>

List of All Member Functions

Header File

# QRegExp Class Reference

QRegExp
CaretMode
cap
capturedTexts
caseSensitive
errorString
escape
exactMatch
isEmpty
isValid
matchedLength
minimal
numCaptures
operator!=
operator=
operator==
pattern
pos
search
searchRev
setCaseSensitive
setMinimal
setPattern
setWildcard
wildcard
~QRegExp

List of All Member Functions

Header File

# QRegExpValidator Class Reference

QRegExpValidator
regExp
setRegExp
validate
~QRegExpValidator

List of All Member Functions

Header File

# QRegion Class Reference

QRegion
RegionType
boundingRect
contains
copy
detach
eor
handle
intersect
isEmpty
isNull
operator!=
operator&
operator&=
operator+
operator+=
operator-
operator-=
operator=
operator==
operator^
operator^=
operator|
operator|=
rects
subtract
translate
unite
~QRegion
operator<<
operator>>

List of All Member Functions

Header File

# QResizeEvent Class Reference

QResizeEvent
oldSize
size

List of All Member Functions

Header File

# QScreen Class Reference

QScreen
alloc
base
blank
cache
clut
connect
createGfx
depth
deviceHeight
deviceWidth
disconnect
height
initCursor
initDevice
isInterlaced
isTransformed
lastOp
linestep
mapFromDevice
mapToDevice
numCols
onCard
opType
pixelType
pixmapDepth
pixmapLinestepAlignment
pixmapOffsetAlignment
restore
save
screenGfx
screenSize
set
setDirty
setMode
shutdownDevice
supportsDepth
totalSize
transformOrientation
uncache
width
~QScreen

List of All Member Functions

Header File

# QScrollBar Class Reference

QScrollBar
doAutoRepeat
draggingSlider
draggingSlider
hideEvent
lineStep
lineStep
maxValue
maxValue
minValue
minValue
nextLine
nextPage
orientation
orientation
pageStep
pageStep
prevLine
prevPage
setLineStep
setMaxValue
setMinValue
setOrientation
setPageStep
setPalette
setTracking
setValue
sliderMoved
sliderPressed
sliderRect
sliderReleased
sliderStart
startAutoRepeat
stopAutoRepeat
tracking
tracking
value
value
valueChanged
~QScrollBar

List of All Member Functions

Header File

# QScrollView Class Reference

QScrollView
ResizePolicy
ScrollBarMode
addChild
bottomMargin
center
childX
childY
clipper
contentsContextMenuEvent
contentsDragEnterEvent
contentsDragLeaveEvent
contentsDragMoveEvent
contentsDropEvent
contentsHeight
contentsHeight
contentsMouseDoubleClickEvent
contentsMouseMoveEvent
contentsMousePressEvent
contentsMouseReleaseEvent
contentsMoving
contentsToViewport
contentsWheelEvent
contentsWidth
contentsWidth
contentsX
contentsX
contentsY
contentsY
cornerWidget
dragAutoScroll
dragAutoScroll
drawContents
drawContentsOffset
enableClipper
ensureVisible
eventFilter
hScrollBarMode
hScrollBarMode
hasStaticBackground
horizontalScrollBar
horizontalSliderPressed
horizontalSliderReleased
isHorizontalSliderPressed
isVerticalSliderPressed
leftMargin
moveChild
moveContents
removeChild
repaintContents
resizeContents
resizePolicy
resizePolicy
rightMargin
scrollBy
setContentsPos
setCornerWidget
setDragAutoScroll
setHBarGeometry
setHScrollBarMode
setMargins
setResizePolicy
setStaticBackground
setVBarGeometry
setVScrollBarMode
topMargin
updateContents
updateScrollBars
vScrollBarMode
vScrollBarMode
verticalScrollBar
verticalSliderPressed
verticalSliderReleased
viewport
viewportPaintEvent
viewportResizeEvent
viewportSize
viewportToContents
visibleHeight
visibleHeight
visibleWidth
visibleWidth
~QScrollView

List of All Member Functions

Header File

# QSemaphore Class Reference

QSemaphore
available
operator++
operator+=
operator--
operator-=
total
tryAccess
~QSemaphore

List of All Member Functions

Header File

# QServerSocket Class Reference

QServerSocket
address
newConnection
ok
port
setSocket
socket
socketDevice
~QServerSocket

List of All Member Functions

Header File

# QSessionManager Class Reference

QSessionManager
RestartHint
allowsErrorInteraction
allowsInteraction
cancel
discardCommand
handle
isPhase2
release
requestPhase2
restartCommand
restartHint
sessionId
sessionKey
setDiscardCommand
setManagerProperty
setRestartCommand
setRestartHint

List of All Member Functions

Header File

# QSettings Class Reference

QSettings
Format
Scope
System
beginGroup
endGroup
entryList
group
insertSearchPath
readBoolEntry
readDoubleEntry
readEntry
readListEntry
readNumEntry
removeEntry
removeSearchPath
resetGroup
setPath
subkeyList
writeEntry
~QSettings

List of All Member Functions

Header File

# QSGIStyle Class Reference

QSGIStyle
~QSGIStyle

List of All Member Functions

Header File

# QShowEvent Class Reference

QShowEvent

List of All Member Functions

Header File

# QSignal Class Reference

QSignal
activate
connect
disconnect
setValue
value
~QSignal

List of All Member Functions

Header File

# QSignalMapper Class Reference

QSignalMapper
map
mapped
removeMappings
setMapping
~QSignalMapper

List of All Member Functions

Header File

# QSimpleRichText Class Reference

QSimpleRichText
adjustSize
anchorAt
context
draw
height
inText
setDefaultFont
setWidth
width
widthUsed
~QSimpleRichText

List of All Member Functions

Header File

# QSize Class Reference

QSize
ScaleMode
boundedTo
expandedTo
height
isEmpty
isNull
isValid
operator*=
operator+=
operator-=
operator/=
rheight
rwidth
scale
setHeight
setWidth
transpose
width
operator!=
operator*
operator+
operator-
operator/
operator<<
operator==
operator>>

List of All Member Functions

Header File

# QSizeGrip Class Reference

QSizeGrip
mouseMoveEvent
mousePressEvent
paintEvent
sizeHint
~QSizeGrip

List of All Member Functions

Header File

# QSizePolicy Class Reference

QSizePolicy
ExpandData
SizeType
expanding
hasHeightForWidth
horData
horStretch
mayGrowHorizontally
mayGrowVertically
mayShrinkHorizontally
mayShrinkVertically
operator!=
operator==
setHeightForWidth
setHorData
setHorStretch
setVerData
setVerStretch
transpose
verData
verStretch

List of All Member Functions

Header File

# QSjisCodec Class Reference

QSjisCodec
mimeName
~QSjisCodec

List of All Member Functions

Header File

# QSlider Class Reference

QSlider
TickSetting
addStep
lineStep
lineStep
maxValue
maxValue
minValue
minValue
moveSlider
orientation
orientation
pageStep
pageStep
rangeChange
setLineStep
setMaxValue
setMinValue
setOrientation
setPageStep
setPalette
setTickInterval
setTickmarks
setTracking
setValue
sliderMoved
sliderPressed
sliderRect
sliderReleased
sliderStart
subtractStep
tickInterval
tickInterval
tickmarks
tickmarks
tracking
tracking
value
value
valueChange
valueChanged
~QSlider

List of All Member Functions

Header File

# QSocket Class Reference

QSocket
Error
State
address
at
atEnd
bytesAvailable
bytesToWrite
bytesWritten
canReadLine
clearPendingData
close
connectToHost
connected
connectionClosed
consumeReadBuf
consumeWriteBuf
delayedCloseFinished
error
flush
getch
hostFound
open
peerAddress
peerName
peerPort
port
putch
readBlock
readLine
readyRead
scanNewline
setSocket
setSocketDevice
setSocketIntern
size
socket
socketDevice
state
tryConnecting
ungetch
waitForMore
writeBlock
~QSocket

List of All Member Functions

Header File

# QSocketDevice Class Reference

QSocketDevice
Error
Type
accept
address
addressReusable
bind
blocking
bytesAvailable
connect
createNewSocket
error
fetchConnectionParameters
isValid
listen
option
peerAddress
peerPort
port
readBlock
receiveBufferSize
sendBufferSize
setAddressReusable
setBlocking
setError
setOption
setReceiveBufferSize
setSendBufferSize
setSocket
socket
type
waitForMore
writeBlock
~QSocketDevice

List of All Member Functions

Header File

# QSocketNotifier Class Reference

QSocketNotifier
Type
activated
isEnabled
setEnabled
socket
type
~QSocketNotifier

List of All Member Functions

Header File

# QSortedList Class Reference

operator=
~QSortedList

List of All Member Functions

Header File

# QSound Class Reference

QSound
available
fileName
isAvailable
isFinished
loops
loopsRemaining
play
setLoops
stop
~QSound

List of All Member Functions

Header File

# QSpacerItem Class Reference

QSpacerItem
changeSize
expanding
isEmpty
maximumSize
minimumSize
setGeometry
sizeHint

List of All Member Functions

Header File

# QSpinBox Class Reference

QSpinBox
ButtonSymbols
buttonSymbols
buttonSymbols
cleanText
cleanText
currentValueText
downRect
editor
eventFilter
interpretText
lineStep
lineStep
mapTextToValue
mapValueToText
maxValue
maxValue
minValue
minValue
prefix
prefix
rangeChange
selectAll
setButtonSymbols
setLineStep
setMaxValue
setMinValue
setPrefix
setSpecialValueText
setSuffix
setValidator
setValue
setWrapping
specialValueText
specialValueText
stepDown
stepUp
suffix
suffix
text
text
textChanged
upRect
updateDisplay
validator
value
value
valueChange
valueChanged
wrapping
wrapping
~QSpinBox

List of All Member Functions

Header File

# QSplitter Class Reference

QSplitter
ResizeMode
adjustPos
childEvent
getRange
idAfter
moveSplitter
moveToFirst
moveToLast
opaqueResize
orientation
orientation
processChildEvents
refresh
setOpaqueResize
setOrientation
setResizeMode
setRubberband
setSizes
sizes
~QSplitter
operator<<
operator>>

List of All Member Functions

Header File

# QSql Class Reference

QSql
Confirm
Location
Op

List of All Member Functions

Header File

# QSqlCursor Class Reference

QSqlCursor
Mode
append
calculateField
canDelete
canInsert
canUpdate
clear
del
editBuffer
filter
index
insert
isCalculated
isNull
isReadOnly
isTrimmed
mode
name
operator=
primaryIndex
primeDelete
primeInsert
primeUpdate
remove
select
setCalculated
setFilter
setGenerated
setMode
setName
setPrimaryIndex
setSort
setTrimmed
sort
toString
update
~QSqlCursor

List of All Member Functions

Header File

# QSqlDatabase Class Reference

QSqlDatabase
addDatabase
close
commit
contains
database
databaseName
databaseName
driver
driverName
drivers
exec
hostName
hostName
isOpen
isOpenError
lastError
open
password
password
port
port
primaryIndex
record
recordInfo
removeDatabase
rollback
setDatabaseName
setHostName
setPassword
setPort
setUserName
tables
transaction
userName
userName
~QSqlDatabase

List of All Member Functions

Header File

# QSqlDriver Class Reference

QSqlDriver
DriverFeature
beginTransaction
close
commitTransaction
createQuery
formatValue
hasFeature
isOpen
isOpenError
lastError
nullText
open
primaryIndex
record
recordInfo
rollbackTransaction
setLastError
setOpen
setOpenError
tables
~QSqlDriver

List of All Member Functions

Header File

# QSqlDriverPlugin Class Reference

QSqlDriverPlugin
create
keys
~QSqlDriverPlugin

List of All Member Functions

Header File

# QSqlEditorFactory Class Reference

QSqlEditorFactory
createEditor
defaultFactory
installDefaultFactory
~QSqlEditorFactory

List of All Member Functions

Header File

# QSqlError Class Reference

QSqlError
Type
databaseText
driverText
number
operator=
setDatabaseText
setDriverText
setNumber
setType
type
~QSqlError

List of All Member Functions

Header File

# QSqlField Class Reference

QSqlField
clear
isNull
isReadOnly
name
operator=
operator==
setName
setNull
setReadOnly
setValue
type
value
~QSqlField

List of All Member Functions

Header File

# QSqlFieldInfo Class Reference

QSqlFieldInfo
defaultValue
isCalculated
isGenerated
isRequired
isTrim
length
name
operator=
operator==
precision
setCalculated
setGenerated
setTrim
toField
type
typeID
~QSqlFieldInfo

List of All Member Functions

Header File

# QSqlForm Class Reference

QSqlForm
clear
clearValues
count
fieldToWidget
insert
installPropertyMap
readField
readFields
remove
setRecord
widget
widgetToField
writeField
writeFields
~QSqlForm

List of All Member Functions

Header File

# QSqlIndex Class Reference

QSqlIndex
append
cursorName
fromStringList
isDescending
name
operator=
setCursorName
setDescending
setName
~QSqlIndex

List of All Member Functions

Header File

# QSqlPropertyMap Class Reference

QSqlPropertyMap
defaultMap
insert
installDefaultMap
property
remove
setProperty
~QSqlPropertyMap

List of All Member Functions

Header File

# QSqlQuery Class Reference

QSqlQuery
addBindValue
afterSeek
at
beforeSeek
bindValue
driver
exec
first
isActive
isForwardOnly
isNull
isSelect
isValid
last
lastError
lastQuery
next
numRowsAffected
operator=
prepare
prev
result
seek
setForwardOnly
size
value
~QSqlQuery

List of All Member Functions

Header File

# QSqlRecord Class Reference

QSqlRecord
append
clear
clearValues
contains
count
field
fieldName
insert
isEmpty
isGenerated
isNull
operator=
position
remove
setGenerated
setNull
setValue
toString
toStringList
value
~QSqlRecord

List of All Member Functions

Header File

# QSqlRecordInfo Class Reference

QSqlRecordInfo
contains
find
toRecord

List of All Member Functions

Header File

# QSqlResult Class Reference

QSqlResult
at
data
driver
fetch
fetchFirst
fetchLast
fetchNext
fetchPrev
isActive
isForwardOnly
isNull
isSelect
isValid
lastError
lastQuery
numRowsAffected
reset
setActive
setAt
setForwardOnly
setLastError
setQuery
setSelect
size
~QSqlResult

List of All Member Functions

Header File

# QStatusBar Class Reference

QStatusBar
addWidget
clear
hideOrShow
isSizeGripEnabled
message
messageChanged
paintEvent
reformat
removeWidget
setSizeGripEnabled
sizeGripEnabled
~QStatusBar

List of All Member Functions

Header File

# QStoredDrag Class Reference

QStoredDrag
encodedData
setEncodedData
~QStoredDrag

List of All Member Functions

Header File

# QStrIList Class Reference

QStrIList
~QStrIList

List of All Member Functions

Header File

# QString Class Reference

QString
SectionFlags
append
arg
ascii
at
compare
compose
constref
contains
detach
endsWith
fill
find
findRev
fromAscii
fromLatin1
fromLocal8Bit
fromUcs2
fromUtf8
insert
isEmpty
isNull
latin1
latin1ToUnicode
left
leftJustify
length
local8Bit
localeAwareCompare
lower
mid
number
operator const char *
string
operator!
operator+=
operator=
operator[]
prepend
real_detach
ref
remove
replace
right
rightJustify
section
setAscii
setLatin1
setLength
setNum
setUnicode
setUnicodeCodes
simplifyWhiteSpace
sprintf
startsWith
stripWhiteSpace
toDouble
toFloat
toInt
toLong
toShort
toUInt
toULong
toUShort
truncate
ucs2
unicode
unicodeToLatin1
upper
utf8
~QString
operator!=
operator+
operator<
operator<<
operator<=
operator==
operator>
operator>=
operator>>

List of All Member Functions

Header File

# QStringList Class Reference

QStringList
fromStrList
grep
join
sort
split

List of All Member Functions

Header File

# QStrList Class Reference

QStrList
operator=
~QStrList

List of All Member Functions

Header File

# QStrListIterator Class Reference

QStrListIterator

List of All Member Functions

Header File

# QStyle Class Reference

QStyle
ComplexControl
ContentsType
ControlElement
PixelMetric
PrimitiveElement
StyleFlags
StyleHint
StylePixmap
SubControl
SubRect
drawComplexControlMask
drawControl
drawControlMask
drawItem
drawPrimitive
itemRect
pixelMetric
polish
polishPopupMenu
querySubControl
querySubControlMetrics
sizeFromContents
styleHint
stylePixmap
subRect
unPolish
visualRect
~QStyle

List of All Member Functions

Header File

# QStyleFactory Class Reference

QStyleFactory
create
keys

List of All Member Functions

Header File

# QStyleOption Class Reference

QStyleOption
StyleOptionDefault
arrowType
checkListItem
color
frameShadow
frameShape
isDefault
lineWidth
listViewItem
maxIconWidth
menuItem
midLineWidth
rect
tab
tabWidth
widget

List of All Member Functions

Header File

# QStylePlugin Class Reference

QStylePlugin
create
keys
~QStylePlugin

List of All Member Functions

Header File

# QStyleSheet Class Reference

QStyleSheet
convertFromPlainText
defaultSheet
error
escape
item
mightBeRichText
scaleFont
setDefaultSheet
tag
~QStyleSheet

List of All Member Functions

Header File

# QStyleSheetItem Class Reference

QStyleSheetItem
DisplayMode
ListStyle
Margin
VerticalAlignment
WhiteSpaceMode
alignment
allowedInContext
color
contexts
definesFontItalic
definesFontStrikeOut
definesFontUnderline
displayMode
fontFamily
fontItalic
fontSize
fontStrikeOut
fontUnderline
fontWeight
isAnchor
listStyle
logicalFontSize
logicalFontSizeStep
margin
name
operator=
selfNesting
setAlignment
setAnchor
setColor
setContexts
setDisplayMode
setFontFamily
setFontItalic
setFontSize
setFontStrikeOut
setFontUnderline
setFontWeight
setListStyle
setLogicalFontSize
setLogicalFontSizeStep
setMargin
setSelfNesting
setVerticalAlignment
setWhiteSpaceMode
styleSheet
verticalAlignment
whiteSpaceMode
~QStyleSheetItem

List of All Member Functions

Header File

# QSyntaxHighlighter Class Reference

QSyntaxHighlighter
highlightParagraph
rehighlight
setFormat
textEdit
~QSyntaxHighlighter

List of All Member Functions

Header File

# Qt Class Reference

Qt
AlignmentFlags
AnchorAttribute
ArrowType
BGMode
BackgroundMode
BrushStyle
ButtonState
CursorShape
DateFormat
Dock
ImageConversionFlags
Key
MacintoshVersion
Modifier
Orientation
PaintUnit
PenCapStyle
PenJoinStyle
PenStyle
RasterOp
SequenceMatch
StringComparisonMode
TextFlags
TextFormat
TimeSpec
UIEffect
WidgetFlags
WidgetState
WindowsVersion

List of All Member Functions

Header File

# QTab Class Reference

QTab
iconSet
identifier
isEnabled
rect
setEnabled
setIconSet
setIdentifier
setRect
setText
text
~QTab

List of All Member Functions

Header File

# QTabBar Class Reference

QTabBar
Shape
addTab
count
count
currentTab
currentTab
indexOf
insertTab
isTabEnabled
keyboardFocusTab
keyboardFocusTab
layoutTabs
paint
paintEvent
paintLabel
removeTab
removeToolTip
selectTab
selected
setCurrentTab
setShape
setTabEnabled
setToolTip
shape
shape
tab
tabAt
tabList
toolTip
~QTabBar

List of All Member Functions

Header File

# QTabDialog Class Reference

QTabDialog
aboutToShow
addTab
applyButtonPressed
cancelButtonPressed
changeTab
currentChanged
currentPage
defaultButtonPressed
hasApplyButton
hasCancelButton
hasDefaultButton
hasHelpButton
hasOkButton
helpButtonPressed
insertTab
isTabEnabled
removePage
setApplyButton
setCancelButton
setDefaultButton
setFont
setHelpButton
setOkButton
setSizes
setTabBar
setTabEnabled
setUpLayout
showPage
showTab
tabBar
tabLabel
~QTabDialog

List of All Member Functions

Header File

# QTable Class Reference

QTable
EditMode
FocusStyle
SelectionMode
activateNextCell
addSelection
adjustColumn
adjustRow
beginEdit
cellGeometry
cellRect
cellWidget
clearCell
clearCellWidget
clearSelection
clicked
columnAt
columnClicked
columnIndexChanged
columnMovingEnabled
columnMovingEnabled
columnPos
columnWidth
columnWidthChanged
contentsDragEnterEvent
contentsDragLeaveEvent
contentsDragMoveEvent
contentsDropEvent
contextMenuRequested
createEditor
currEditCol
currEditRow
currentChanged
currentColumn
currentRow
currentSelection
doubleClicked
dragEnabled
dragObject
drawContents
dropped
editCell
editMode
endEdit
ensureCellVisible
focusStyle
focusStyle
hideColumn
hideRow
horizontalHeader
indexOf
insertColumns
insertRows
insertWidget
isColumnReadOnly
isColumnSelected
isColumnStretchable
isEditing
isReadOnly
isRowReadOnly
isRowSelected
isRowStretchable
isSelected
item
numCols
numCols
numRows
numRows
numSelections
numSelections
paintCell
paintEmptyArea
paintFocus
pixmap
pressed
readOnly
removeColumn
removeColumns
removeRow
removeRows
removeSelection
repaintSelections
resizeData
rowAt
rowHeight
rowHeightChanged
rowIndexChanged
rowMovingEnabled
rowMovingEnabled
rowPos
selectCells
selectColumn
selectRow
selection
selectionChanged
selectionMode
selectionMode
setCellContentFromEditor
setCellWidget
setColumnLabels
setColumnMovingEnabled
setColumnReadOnly
setColumnStretchable
setColumnWidth
setCurrentCell
setDragEnabled
setEditMode
setFocusStyle
setItem
setLeftMargin
setNumCols
setNumRows
setPixmap
setReadOnly
setRowHeight
setRowLabels
setRowMovingEnabled
setRowReadOnly
setRowStretchable
setSelectionMode
setShowGrid
setSorting
setText
setTopMargin
showColumn
showGrid
showGrid
showRow
sortColumn
sorting
sorting
startDrag
swapCells
swapColumns
swapRows
tableSize
takeItem
text
updateCell
updateGeometries
updateHeaderStates
valueChanged
verticalHeader
~QTable

List of All Member Functions

Header File

# QTableItem Class Reference

QTableItem
EditType
alignment
col
colSpan
createEditor
editType
isEnabled
isReplaceable
key
paint
pixmap
row
rowSpan
rtti
setCol
setContentFromEditor
setEnabled
setPixmap
setReplaceable
setRow
setSpan
setText
setWordWrap
sizeHint
table
text
wordWrap
~QTableItem

List of All Member Functions

Header File

# QTableSelection Class Reference

QTableSelection
anchorCol
anchorRow
bottomRow
expandTo
init
isActive
leftCol
operator!=
operator==
rightCol
topRow

List of All Member Functions

Header File

# QTabletEvent Class Reference

QTabletEvent
TabletDevice
accept
device
globalPos
globalX
globalY
ignore
isAccepted
pos
pressure
uniqueId
x
xTilt
y
yTilt

List of All Member Functions

Header File

# QTabWidget Class Reference

QTabWidget
TabPosition
TabShape
addTab
autoMask
changeTab
count
count
currentChanged
currentPage
currentPage
currentPageIndex
indexOf
insertTab
isTabEnabled
label
margin
margin
page
removePage
removeTabToolTip
setCurrentPage
setMargin
setTabBar
setTabEnabled
setTabIconSet
setTabLabel
setTabPosition
setTabShape
setTabToolTip
showPage
showTab
tabBar
tabIconSet
tabLabel
tabPosition
tabPosition
tabShape
tabShape
tabToolTip

List of All Member Functions

Header File

# QTextBrowser Class Reference

QTextBrowser
anchorClicked
backward
backwardAvailable
forward
forwardAvailable
highlighted
home
keyPressEvent
linkClicked
modified
overwriteMode
readOnly
reload
setSource
setText
source
source
sourceChanged
undoDepth
undoRedoEnabled

List of All Member Functions

Header File

# QTextCodec Class Reference

QTextCodec
canEncode
codecForCStrings
codecForContent
codecForIndex
codecForLocale
codecForMib
codecForName
codecForTr
deleteAllCodecs
fromUnicode
heuristicContentMatch
heuristicNameMatch
loadCharmap
loadCharmapFile
locale
makeDecoder
makeEncoder
mibEnum
mimeName
name
setCodecForCStrings
setCodecForLocale
setCodecForTr
simpleHeuristicNameMatch
toUnicode
~QTextCodec

List of All Member Functions

Header File

# QTextCodecPlugin Class Reference

QTextCodecPlugin
createForMib
createForName
mibEnums
names
~QTextCodecPlugin

List of All Member Functions

Header File

# QTextDecoder Class Reference

QTextDecoder
toUnicode
~QTextDecoder

List of All Member Functions

Header File

# QTextDrag Class Reference

QTextDrag
canDecode
decode
setSubtype
setText
~QTextDrag

List of All Member Functions

Header File

# QTextEdit Class Reference

QTextEdit
AutoFormatting
CursorAction
KeyboardAction
VerticalAlignment
WordWrap
WrapPolicy
alignment
anchorAt
append
bold
charAt
clear
clearParagraphBackground
clicked
color
context
copy
copyAvailable
createPopupMenu
currentAlignmentChanged
currentColorChanged
currentFont
currentFontChanged
currentVerticalAlignmentChanged
cursorPositionChanged
cut
del
doKeyboardAction
documentTitle
documentTitle
doubleClicked
ensureCursorVisible
family
find
focusNextPrevChild
getCursorPosition
getSelection
hasSelectedText
hasSelectedText
heightForWidth
indent
insert
insertAt
insertParagraph
isModified
isOverwriteMode
isReadOnly
isRedoAvailable
isUndoAvailable
isUndoRedoEnabled
italic
keyPressEvent
length
length
lineOfChar
lines
linesOfParagraph
linkUnderline
linkUnderline
mimeSourceFactory
modificationChanged
modified
moveCursor
overwriteMode
paper
paper
paragraphAt
paragraphBackgroundColor
paragraphLength
paragraphRect
paragraphs
paste
pasteSpecial
pasteSubType
placeCursor
pointSize
readOnly
redo
redoAvailable
removeParagraph
removeSelectedText
removeSelection
repaintChanged
returnPressed
scrollToAnchor
scrollToBottom
selectAll
selectedText
selectedText
selectionChanged
setAlignment
setBold
setColor
setCurrentFont
setCursorPosition
setFamily
setItalic
setLinkUnderline
setMimeSourceFactory
setModified
setOverwriteMode
setPaper
setParagraphBackgroundColor
setPointSize
setReadOnly
setSelection
setSelectionAttributes
setStyleSheet
setTabChangesFocus
setTabStopWidth
setText
setTextFormat
setUnderline
setUndoDepth
setUndoRedoEnabled
setVerticalAlignment
setWordWrap
setWrapColumnOrWidth
setWrapPolicy
styleSheet
sync
tabChangesFocus
tabChangesFocus
tabStopWidth
tabStopWidth
text
text
textChanged
textCursor
textFormat
textFormat
underline
undo
undoAvailable
undoDepth
undoDepth
undoRedoEnabled
wordWrap
wordWrap
wrapColumnOrWidth
wrapColumnOrWidth
wrapPolicy
wrapPolicy
zoomIn
zoomOut
zoomTo

List of All Member Functions

Header File

# QTextEncoder Class Reference

QTextEncoder
fromUnicode
~QTextEncoder

List of All Member Functions

Header File

# QTextIStream Class Reference

QTextIStream

List of All Member Functions

Header File

# QTextOStream Class Reference

QTextOStream

List of All Member Functions

Header File

# QTextStream Class Reference

QTextStream
Encoding
atEnd
codec
device
fill
flags
operator<<
operator>>
precision
read
readLine
readRawBytes
reset
setCodec
setDevice
setEncoding
setf
skipWhiteSpace
ts_getbuf
ts_getline
ts_putc
unsetDevice
unsetf
width
writeRawBytes
~QTextStream

List of All Member Functions

Header File

# QTextView Class Reference

modified
overwriteMode
readOnly
undoDepth
undoRedoEnabled

List of All Member Functions

Header File

# QThread Class Reference

QThread
currentThread
exit
finished
msleep
run
running
sleep
start
terminate
usleep
wait
~QThread

List of All Member Functions

Header File

# QTime Class Reference

QTime
addMSecs
addSecs
currentTime
elapsed
fromString
hour
isNull
isValid
minute
msec
msecsTo
operator!=
operator<
operator<=
operator==
operator>
operator>=
restart
second
secsTo
setHMS
start
toString
operator<<
operator>>

List of All Member Functions

Header File

# QTimeEdit Class Reference

QTimeEdit
Display
autoAdvance
autoAdvance
display
display
maxValue
maxValue
minValue
minValue
sectionFormattedText
separator
setAutoAdvance
setDisplay
setHour
setMaxValue
setMinValue
setMinute
setRange
setSecond
setSeparator
setTime
time
time
valueChanged
~QTimeEdit

List of All Member Functions

Header File

# QTimer Class Reference

QTimer
changeInterval
isActive
singleShot
start
stop
timeout
timerId
~QTimer

List of All Member Functions

Header File

# QTimerEvent Class Reference

QTimerEvent
timerId

List of All Member Functions

Header File

# QToolBar Class Reference

QToolBar
addSeparator
clear
label
label
mainWindow
setLabel
setStretchableWidget

List of All Member Functions

Header File

# QToolButton Class Reference

QToolButton
TextPosition
autoRaise
autoRaise
iconSet
iconSet
on
openPopup
popup
popupDelay
popupDelay
setAutoRaise
setIconSet
setOn
setPopup
setPopupDelay
setTextLabel
setTextPosition
setToggleButton
setUsesBigPixmap
setUsesTextLabel
textLabel
textLabel
textPosition
textPosition
toggle
toggleButton
uses3D
usesBigPixmap
usesBigPixmap
usesTextLabel
usesTextLabel
~QToolButton

List of All Member Functions

Header File

# QToolTip Class Reference

QToolTip
add
clear
font
group
hide
isGloballyEnabled
maybeTip
palette
parentWidget
remove
setFont
setGloballyEnabled
setPalette
setWakeUpDelay
textFor
tip

List of All Member Functions

Header File

# QToolTipGroup Class Reference

QToolTipGroup
delay
delay
enabled
enabled
removeTip
setDelay
setEnabled
showTip
~QToolTipGroup

List of All Member Functions

Header File

# QTranslator Class Reference

QTranslator
SaveMode
clear
contains
findMessage
insert
isEmpty
load
messages
remove
save
squeeze
unsqueeze
~QTranslator

List of All Member Functions

Header File

# QTranslatorMessage Class Reference

QTranslatorMessage
Prefix
comment
commonPrefix
context
hash
operator!=
operator<
operator<=
operator=
operator==
operator>
operator>=
setTranslation
sourceText
translation
write

List of All Member Functions

Header File

# QTsciiCodec Class Reference

QTsciiCodec

List of All Member Functions

Header File

# QUriDrag Class Reference

QUriDrag
canDecode
decode
decodeLocalFiles
decodeToUnicodeUris
localFileToUri
setFileNames
setUnicodeUris
setUris
unicodeUriToUri
uriToLocalFile
uriToUnicodeUri
~QUriDrag

List of All Member Functions

Header File

# QUrl Class Reference

QUrl
addPath
cdUp
decode
dirPath
encode
encodedPathAndQuery
fileName
hasHost
hasPassword
hasPath
hasPort
hasRef
hasUser
host
isLocalFile
isRelativeUrl
isValid
operator QString
operator=
operator==
parse
password
path
port
protocol
query
ref
reset
setEncodedPathAndQuery
setFileName
setHost
setPassword
setPath
setPort
setProtocol
setQuery
setRef
setUser
toString
user
~QUrl

List of All Member Functions

Header File

# QUrlInfo Class Reference

QUrlInfo
equal
greaterThan
group
isDir
isExecutable
isFile
isReadable
isSymLink
isValid
isWritable
lastModified
lastRead
lessThan
name
operator=
operator==
owner
permissions
setDir
setFile
setGroup
setLastModified
setName
setOwner
setPermissions
setReadable
setSize
setSymLink
setWritable
size
~QUrlInfo

List of All Member Functions

Header File

# QUrlOperator Class Reference

QUrlOperator
addEntry
clearEntries
connectionStateChanged
copy
createdDirectory
data
dataTransferProgress
deleteNetworkProtocol
finished
get
getNetworkProtocol
info
isDir
itemChanged
listChildren
mkdir
nameFilter
newChildren
put
remove
removed
rename
setNameFilter
start
startOperation
startedNextCopy
stop
~QUrlOperator
qInitNetworkProtocols

List of All Member Functions

Header File

# QValidator Class Reference

QValidator
State
fixup
validate
~QValidator

List of All Member Functions

Header File

# QValueList Class Reference

QValueList
ConstIterator
Iterator
append
at
back
begin
clear
const_iterator
const_pointer
const_reference
contains
count
empty
end
erase
find
findIndex
first
fromLast
front
insert
isEmpty
iterator
last
operator!=
operator+
operator+=
operator<<
operator=
operator==
operator[]
pointer
pop_back
pop_front
prepend
push_back
push_front
reference
remove
size
size_type
value_type
~QValueList
operator<<
operator>>

List of All Member Functions

Header File

# QValueListConstIterator Class Reference

QValueListConstIterator
operator!=
operator*
operator++
operator--
operator==
pointer
reference
value_type

List of All Member Functions

Header File

# QValueListIterator Class Reference

QValueListIterator
operator!=
operator*
operator++
operator+=
operator--
operator-=
operator==
pointer
reference
value_type

List of All Member Functions

Header File

# QValueStack Class Reference

QValueStack
pop
push
top
~QValueStack

List of All Member Functions

Header File

# QValueVector Class Reference

QValueVector
ConstIterator
Iterator
ValueType
append
at
back
begin
capacity
clear
const_iterator
const_pointer
const_reference
count
difference_type
empty
end
erase
first
front
insert
isEmpty
iterator
last
operator=
operator==
operator[]
pointer
pop_back
push_back
reference
reserve
resize
size
size_type
value_type
~QValueVector

List of All Member Functions

Header File

# QVariant Class Reference

QVariant
Type
asBitArray
asBitmap
asBool
asBrush
asByteArray
asCString
asColor
asColorGroup
asCursor
asDate
asDateTime
asDouble
asFont
asIconSet
asImage
asInt
asKeySequence
asList
asMap
asPalette
asPen
asPixmap
asPoint
asPointArray
asRect
asRegion
asSize
asSizePolicy
asString
asStringList
asTime
asUInt
canCast
cast
clear
isNull
isValid
listBegin
listEnd
mapBegin
mapEnd
mapFind
nameToType
operator!=
operator=
operator==
stringListBegin
stringListEnd
toBitArray
toBitmap
toBool
toBrush
toByteArray
toCString
toColor
toColorGroup
toCursor
toDate
toDateTime
toDouble
toFont
toIconSet
toImage
toInt
toKeySequence
toList
toMap
toPalette
toPen
toPixmap
toPoint
toPointArray
toRect
toRegion
toSize
toSizePolicy
toString
toStringList
toTime
toUInt
type
typeName
typeToName
~QVariant

List of All Member Functions

Header File

# QVBox Class Reference

QVBox

List of All Member Functions

Header File

# QVBoxLayout Class Reference

QVBoxLayout
~QVBoxLayout

List of All Member Functions

Header File

# QVButtonGroup Class Reference

QVButtonGroup
~QVButtonGroup

List of All Member Functions

Header File

# QVGroupBox Class Reference

QVGroupBox
~QVGroupBox

List of All Member Functions

Header File

# QWaitCondition Class Reference

QWaitCondition
wait
wakeAll
wakeOne
~QWaitCondition

List of All Member Functions

Header File

# QWhatsThis Class Reference

QWhatsThis
add
clicked
display
enterWhatsThisMode
inWhatsThisMode
leaveWhatsThisMode
remove
setFont
text
textFor
whatsThisButton
~QWhatsThis

List of All Member Functions

Header File

# QWheelEvent Class Reference

QWheelEvent
accept
delta
globalPos
globalX
globalY
ignore
isAccepted
orientation
pos
state
x
y

List of All Member Functions

Header File

# QWidget Class Reference

QWidget
BackgroundOrigin
FocusPolicy
acceptDrops
acceptDrops
adjustSize
autoMask
autoMask
backgroundBrush
backgroundBrush
backgroundMode
backgroundMode
backgroundOrigin
backgroundOrigin
baseSize
baseSize
caption
caption
childAt
childrenRect
childrenRect
childrenRegion
childrenRegion
clearFocus
clearMask
clearWFlags
close
closeEvent
colorGroup
colorGroup
constPolish
contextMenuEvent
create
cursor
cursor
customWhatsThis
customWhatsThis
destroy
dragEnterEvent
dragLeaveEvent
dragMoveEvent
drawText
dropEvent
enabled
enabledChange
enterEvent
erase
eraseColor
erasePixmap
event
find
focus
focusData
focusEnabled
focusInEvent
focusNextPrevChild
focusOutEvent
focusPolicy
focusPolicy
focusProxy
focusWidget
font
font
fontChange
fontInfo
fontMetrics
foregroundColor
frameGeometry
frameGeometry
frameSize
frameSize
fullScreen
geometry
geometry
getWFlags
grabKeyboard
grabMouse
hasFocus
hasMouse
hasMouseTracking
height
height
heightForWidth
hidden
hide
hideEvent
icon
icon
iconText
iconText
imComposeEvent
imEndEvent
imStartEvent
isActiveWindow
isActiveWindow
isDesktop
isDesktop
isDialog
isDialog
isEnabled
isEnabledTo
isFocusEnabled
isFullScreen
isHidden
isMaximized
isMinimized
isModal
isModal
isPopup
isPopup
isShown
isTopLevel
isTopLevel
isUpdatesEnabled
isVisible
isVisibleTo
keyPressEvent
keyReleaseEvent
keyboardGrabber
layout
leaveEvent
lower
macEvent
mapFrom
mapFromGlobal
mapFromParent
mapTo
mapToGlobal
mapToParent
maximized
maximumHeight
maximumHeight
maximumSize
maximumSize
maximumWidth
maximumWidth
metric
microFocusHint
microFocusHint
minimized
minimumHeight
minimumHeight
minimumSize
minimumSize
minimumSizeHint
minimumSizeHint
minimumWidth
minimumWidth
mouseDoubleClickEvent
mouseGrabber
mouseMoveEvent
mousePressEvent
mouseReleaseEvent
mouseTracking
move
moveEvent
ownCursor
ownCursor
ownFont
ownFont
ownPalette
ownPalette
paintEvent
palette
palette
paletteBackgroundColor
paletteBackgroundColor
paletteBackgroundPixmap
paletteBackgroundPixmap
paletteChange
paletteForegroundColor
paletteForegroundColor
parentWidget
polish
pos
pos
qwsEvent
raise
rect
rect
releaseKeyboard
releaseMouse
repaint
reparent
resetInputContext
resize
resizeEvent
scroll
setAcceptDrops
setActiveWindow
setAutoMask
setBackgroundEmpty
setBackgroundMode
setBackgroundOrigin
setBaseSize
setCaption
setCursor
setDisabled
setEnabled
setEraseColor
setErasePixmap
setFixedHeight
setFixedSize
setFixedWidth
setFocus
setFocusPolicy
setFocusProxy
setFont
setGeometry
setHidden
setIcon
setIconText
setKeyCompression
setMask
setMaximumHeight
setMaximumSize
setMaximumWidth
setMicroFocusHint
setMinimumHeight
setMinimumSize
setMinimumWidth
setMouseTracking
setPalette
setPaletteBackgroundColor
setPaletteBackgroundPixmap
setPaletteForegroundColor
setShown
setSizeIncrement
setSizePolicy
setStyle
setTabOrder
setUpdatesEnabled
setWFlags
show
showEvent
showFullScreen
showMaximized
showMinimized
showNormal
shown
size
size
sizeHint
sizeHint
sizeIncrement
sizeIncrement
sizePolicy
sizePolicy
stackUnder
style
styleChange
tabletEvent
testWFlags
topLevelWidget
underMouse
unsetCursor
unsetFont
unsetPalette
update
updateGeometry
updateMask
updatesEnabled
visible
visibleRect
visibleRect
wheelEvent
width
width
winEvent
winId
windowActivationChange
x
x
x11Event
y
y
~QWidget

List of All Member Functions

Header File

# QWidgetFactory Class Reference

QWidgetFactory
addWidgetFactory
create
createWidget
loadImages
supportsWidget
widgets
~QWidgetFactory

List of All Member Functions

Header File

# QWidgetItem Class Reference

QWidgetItem
expanding
isEmpty
maximumSize
minimumSize
setGeometry
sizeHint
widget

List of All Member Functions

Header File

# QWidgetPlugin Class Reference

QWidgetPlugin
create
group
iconSet
includeFile
isContainer
keys
toolTip
whatsThis
~QWidgetPlugin

List of All Member Functions

Header File

# QWidgetStack Class Reference

QWidgetStack
aboutToShow
addWidget
id
raiseWidget
removeWidget
setChildGeometries
visibleWidget
widget
~QWidgetStack

List of All Member Functions

Header File

# QWindowsMime Class Reference

QWindowsMime
all
canConvert
cf
cfFor
cfToMime
convertFromMime
convertToMime
convertor
convertorName
countCf
initialize
mimeFor
~QWindowsMime

List of All Member Functions

Header File

# QWindowsStyle Class Reference

QWindowsStyle

List of All Member Functions

Header File

# QWizard Class Reference

QWizard
addPage
appropriate
back
backButton
cancelButton
currentPage
finishButton
help
helpButton
helpClicked
indexOf
insertPage
layOutButtonRow
layOutTitleRow
next
nextButton
page
pageCount
removePage
selected
setAppropriate
setBackEnabled
setFinishEnabled
setHelpEnabled
setNextEnabled
setTitle
setTitleFont
showPage
title
titleFont
titleFont
~QWizard

List of All Member Functions

Header File

# QWMatrix Class Reference

QWMatrix
TransformationMode
det
dx
dy
invert
isIdentity
isInvertible
m11
m12
m21
m22
map
mapRect
mapToPolygon
mapToRegion
operator!=
operator*=
operator==
reset
rotate
scale
setMatrix
setTransformationMode
shear
transformationMode
translate
operator*
operator<<
operator>>

List of All Member Functions

Header File

# QWorkspace Class Reference

QWorkspace
activeWindow
cascade
scrollBarsEnabled
scrollBarsEnabled
setScrollBarsEnabled
tile
windowActivated
windowList
~QWorkspace

List of All Member Functions

Header File

# QWSDecoration Class Reference

QWSDecoration
Region
close
maximize
menu
minimize
paint
paintButton
region
~QWSDecoration

List of All Member Functions

Header File

# QWSInputMethod Class Reference

QWSInputMethod
filter
reset
sendIMEvent
setFont
setMicroFocus
~QWSInputMethod

List of All Member Functions

Header File

# QWSKeyboardHandler Class Reference

QWSKeyboardHandler
processKeyEvent
~QWSKeyboardHandler

List of All Member Functions

Header File

# QWSMouseHandler Class Reference

QWSMouseHandler
calibrate
clearCalibration
limitToScreen
mouseChanged
pos
~QWSMouseHandler

List of All Member Functions

Header File

# QWSServer Class Reference

QWSServer
GUIMode
ServerFlags
WindowEvent
clientWindows
closeKeyboard
closeMouse
enablePainting
keyMap
keyboardHandler
manager
mouseHandler
newChannel
openKeyboard
openMouse
refresh
removedChannel
screenSaverActivate
screenSaverActive
sendIMEvent
sendKeyEvent
setDefaultKeyboard
setDefaultMouse
setDesktopBackground
setKeyboardFilter
setKeyboardHandler
setMaxWindowRect
setScreenSaverInterval
setScreenSaverIntervals
setWindowRegion
windowAt
windowEvent
~QWSServer

List of All Member Functions

Header File

# QWSWindow Class Reference

QWSWindow
allocation
caption
client
hide
isFullyObscured
isPartiallyObscured
isVisible
lower
name
raise
requested
setActiveWindow
show
winId
~QWSWindow

List of All Member Functions

Header File

# QXmlAttributes Class Reference

QXmlAttributes
append
clear
count
index
length
localName
qName
type
uri
value
~QXmlAttributes

List of All Member Functions

Header File

# QXmlContentHandler Class Reference

QXmlContentHandler
characters
endDocument
endElement
endPrefixMapping
errorString
ignorableWhitespace
processingInstruction
setDocumentLocator
skippedEntity
startDocument
startElement
startPrefixMapping

List of All Member Functions

Header File

# QXmlDeclHandler Class Reference

QXmlDeclHandler
attributeDecl
errorString
externalEntityDecl
internalEntityDecl

List of All Member Functions

Header File

# QXmlDefaultHandler Class Reference

QXmlDefaultHandler
~QXmlDefaultHandler

List of All Member Functions

Header File

# QXmlDTDHandler Class Reference

QXmlDTDHandler
errorString
notationDecl
unparsedEntityDecl

List of All Member Functions

Header File

# QXmlEntityResolver Class Reference

QXmlEntityResolver
errorString
resolveEntity

List of All Member Functions

Header File

# QXmlErrorHandler Class Reference

QXmlErrorHandler
error
errorString
fatalError
warning

List of All Member Functions

Header File

# QXmlInputSource Class Reference

QXmlInputSource
data
fetchData
fromRawData
next
reset
setData
~QXmlInputSource

List of All Member Functions

Header File

# QXmlLexicalHandler Class Reference

QXmlLexicalHandler
comment
endCDATA
endDTD
endEntity
errorString
startCDATA
startDTD
startEntity

List of All Member Functions

Header File

# QXmlLocator Class Reference

QXmlLocator
columnNumber
lineNumber
~QXmlLocator

List of All Member Functions

Header File

# QXmlNamespaceSupport Class Reference

QXmlNamespaceSupport
popContext
prefix
prefixes
processName
pushContext
reset
setPrefix
splitName
uri
~QXmlNamespaceSupport

List of All Member Functions

Header File

# QXmlParseException Class Reference

QXmlParseException
columnNumber
lineNumber
message
publicId
systemId

List of All Member Functions

Header File

# QXmlReader Class Reference

QXmlReader
DTDHandler
contentHandler
declHandler
entityResolver
errorHandler
feature
hasFeature
hasProperty
lexicalHandler
parse
property
setContentHandler
setDTDHandler
setDeclHandler
setEntityResolver
setErrorHandler
setFeature
setLexicalHandler
setProperty

List of All Member Functions

Header File

# QXmlSimpleReader Class Reference

QXmlSimpleReader
parse
parseContinue
~QXmlSimpleReader

List of All Member Functions

Header File

# A Complete Application Window

A Complete Application Window

# A Complete Application Window with Actions

A Complete Application Window with Actions

# A Complete Canvas Application

A Complete Canvas Application

# A Directory Browser

A Directory Browser

# A MDI Application

A MDI Application

# A Rectangle Draw "Benchmark"

A Rectangle Draw "Benchmark"

# A simple demonstration of QFont member functions

A simple demonstration of QFont member functions

# A simple HTTP daemon

A simple HTTP daemon

# A simple mail client

A simple mail client

# A simple NNTP implementation

A simple NNTP implementation

# A small client-server example

A small client-server example

# A Tiny Example Featuring a Toggle Action

A Tiny Example Featuring a Toggle Action

# A Tiny QTL Example

A Tiny QTL Example

# A tiny SAX2 parser

A tiny SAX2 parser

# About Modules

About Modules

# About Qt

About Qt

# About Unicode

About Unicode

# Abstract Widget Classes

abstractwidgets

# Adding an accelerated graphics driver to Qt/Embedded

Adding an accelerated graphics driver to Qt/Embedded

# Advanced use of tool tips

Advanced use of tool tips

# Advanced Widgets

advanced

# All Overviews and HOWTOs

All Overviews and HOWTOs

# An Extension Dialog Example

An Extension Dialog Example

# An FTP client

An FTP client

# Analog Clock

Analog Clock

# Annotated Class Index

Annotated Class Index

# Basic Widgets

basic

# Biff (UNIX only)

Biff (UNIX only)

# Books about GUI

Books about GUI

# Buttons and Groupboxes

Buttons and Groupboxes

# Canvas Control

Canvas Control

# Canvas Example

Canvas Example

# Canvas Module

Canvas Module

# Character input in Qt/Embedded

Character input in Qt/Embedded

# Class Inheritance Hierarchy

Class Inheritance Hierarchy

# Collection Classes

collection

# Company Information

Company Information

# Connect the Points

Connect the Points

# Conway's Game of Life

Conway's Game of Life

# Cursors

Cursors

# Customized Layoutmanager

Customized Layoutmanager

# Data Elements

Data Elements

# Database Classes

database

# Debugging Techniques

Debugging Techniques

# Demonstration of SAX2 features

Demonstration of SAX2 features

# Deploying Qt Applications

Deploying Qt Applications

# Dialog Classes

dialogs

# Digital Clock

Digital Clock

# Drag and Drop

Drag and Drop

# Drag and Drop

Drag and Drop

# Drag and Drop (Simple)

Drag and Drop (Simple)

# Drag And Drop Classes

draganddrop

# Draw Demo

Draw Demo

# Enabling the Linux Framebuffer

Enabling the Linux Framebuffer

# Environment Classes

environment

# Event Classes

events

# Events and Event Filters

Events and Event Filters

# Examples

examples

# FAQs

FAQs

# File Handling

File Handling

# Font Displayer

Font Displayer

# Fonts in Qt/Embedded

Fonts in Qt/Embedded

# Format of the QDataStream Operators

Format of the QDataStream Operators

# Functions removed in Qt 2.0

Functions removed in Qt 2.0

# GNU General Public License

GNU General Public License

# Grapher Plugin

Grapher Plugin

# Graphics Classes

graphics

# Grouped Classes

Grouped Classes

# Header File Index

Header File Index

# Hello, World

Hello, World

# Help System

helpsystem

# How to Buy Qt

How to Buy Qt

# How to create a large, sparse QTable

How to create a large, sparse QTable

# How to Learn Qt

How to Learn Qt

# How to Report A Bug

How to Report A Bug

# How to use X11 overlays with the Qt OpenGL extension

How to use X11 overlays with the Qt OpenGL extension

# Iconview

Iconview

# IconView Module

IconView Module

# Image Processing Classes

images

# Implicitly and Explicitly Shared Classes

shared

# Input/Output and Networking

io

# Installation

Installation

# Installing Qt/Embedded

Installing Qt/Embedded

# Installing Qt/Windows

Installing Qt/Windows

# Installing Qt/X11

Installing Qt/X11

# Internationalization

Internationalization

# Internationalization with Qt

i18n

# Introduction

Introduction

# Issues to be aware of when porting Qt/Embedded

Issues to be aware of when porting Qt/Embedded

# Key Features in Qt 3.0

Key Features in Qt 3.0

# Keyboard Focus Overview

Keyboard Focus Overview

# Layout Classes

Layout Classes

# Layout Management

geomanagement

# Layout Managers

Layout Managers

# Licenses for Code Used in Qt

Licenses for Code Used in Qt

# Line Edits

Line Edits

# Listbox Example

Listbox Example

# Listboxes and Comboboxes

Listboxes and Comboboxes

# Listviews

Listviews

# Listviews with Checkable Items

Listviews with Checkable Items

# Mailing Lists

Mailing Lists

# Main Window and Related Classes

application

# Mainly Easy

Mainly Easy

# makeqpf

makeqpf

# Member Function Index

Member Function Index

# Meta Object System

Meta Object System

# Miscellaneous Classes

misc

# Movies or the Story of the Animated GIF file

Movies or the Story of the Animated GIF file

# Multimedia Classes

multimedia

# Netscape Plugin Examples

nsplugin-examples

# Network Examples

network-examples

# Network Module

Network Module

# Non-GUI Classes

tools

# Object Model

objectmodel

# Object Trees and Object Ownership

Object Trees and Object Ownership

# OpenGL Box Example

OpenGL Box Example

# OpenGL Examples

opengl-examples

# OpenGL Gear Example

OpenGL Gear Example

# OpenGL Overlay Example

OpenGL Overlay Example

# OpenGL Overlay X11 Example

OpenGL Overlay X11 Example

# OpenGL Pixmap Example

OpenGL Pixmap Example

# OpenGL Shared Box Example

OpenGL Shared Box Example

# OpenGL Texture Example

OpenGL Texture Example

# Organizers

organizers

# Outliner to show use of DOM

Outliner to show use of DOM

# Painting on the Desktop

Painting on the Desktop

# Picture

Picture

# Pictures of Most Qt Widgets

Pictures of Most Qt Widgets

# Plugins

plugins

# Popup Widgets

Popup Widgets

# Porting to Qt 2.x

Porting to Qt 2.x

# Porting to Qt 3.x

Porting to Qt 3.x

# Porting your applications to Qt/Embedded

Porting your applications to Qt/Embedded

# Presenting the GUI

Presenting the GUI

# Progress Bar

Progress Bar

# Progress Bar and Dialog Example

Progress Bar and Dialog Example

# Properties

Properties

# QAction Examples

qaction-examples

# QArray Class Reference (obsolete)

QArray Class Reference (obsolete)

# QCollection Class Reference (obsolete)

QCollection Class Reference (obsolete)

# QDir

QDir

# QEmbed - File and Image Embedder

QEmbed - File and Image Embedder

# QFont Examples

qfont-examples

# QList Class Reference (obsolete)

QList Class Reference (obsolete)

# QListIterator Class Reference (obsolete)

QListIterator Class Reference (obsolete)

# QMag

QMag

# QProcess Examples

qprocess-examples

# QQueue Class Reference (obsolete)

QQueue Class Reference (obsolete)

# QStack Class Reference (obsolete)

QStack Class Reference (obsolete)

# Qt Demo

Qt Demo

# Qt Editions

Qt Editions

# Qt Free Edition License Agreement

Qt Free Edition License Agreement

# Qt Netscape Plugin Extension

Qt Netscape Plugin Extension

# Qt Object Model

Qt Object Model

# Qt OpenGL 3D Graphics

Qt OpenGL 3D Graphics

# Qt Plugins HOWTO

Qt Plugins HOWTO

# Qt Reference Documentation

Qt Reference Documentation

# Qt SQL Examples

sql-examples

# Qt Template Library

Qt Template Library

# Qt Template Library Classes

qtl

# Qt Tutorial #1 - The 14 Steps

Qt Tutorial #1 - The 14 Steps

# Qt Tutorial - Chapter 10: Smooth as Silk

Qt Tutorial - Chapter 10: Smooth as Silk

# Qt Tutorial - Chapter 11: Giving It a Shot

Qt Tutorial - Chapter 11: Giving It a Shot

# Qt Tutorial - Chapter 12: Hanging in the Air the Way Bricks Don't

Qt Tutorial - Chapter 12: Hanging in the Air the Way Bricks Don't

# Qt Tutorial - Chapter 13: Game Over

Qt Tutorial - Chapter 13: Game Over

# Qt Tutorial - Chapter 14: Facing the Wall

Qt Tutorial - Chapter 14: Facing the Wall

# Qt Tutorial - Chapter 1: Hello, World!

Qt Tutorial - Chapter 1: Hello, World!

# Qt Tutorial - Chapter 2: Calling it Quits

Qt Tutorial - Chapter 2: Calling it Quits

# Qt Tutorial - Chapter 3: Family Values

Qt Tutorial - Chapter 3: Family Values

# Qt Tutorial - Chapter 4: Let There Be Widgets

Qt Tutorial - Chapter 4: Let There Be Widgets

# Qt Tutorial - Chapter 5: Building Blocks

Qt Tutorial - Chapter 5: Building Blocks

# Qt Tutorial - Chapter 6: Building Blocks Galore!

Qt Tutorial - Chapter 6: Building Blocks Galore!

# Qt Tutorial - Chapter 7: One Thing Leads to Another

Qt Tutorial - Chapter 7: One Thing Leads to Another

# Qt Tutorial - Chapter 8: Preparing for Battle

Qt Tutorial - Chapter 8: Preparing for Battle

# Qt Tutorial - Chapter 9: With Cannon You Can

Qt Tutorial - Chapter 9: With Cannon You Can

# Qt XML Examples

xml-examples

# Qt's Classes

Qt's Classes

# Qt's Main Classes

Qt's Main Classes

# Qt's Text Engine

Qt's Text Engine

# Qt's Tools

Qt's Tools

# Qt/Embedded

qws

# Qt/Embedded as a VNC Server

Qt/Embedded as a VNC Server

# Qt/Embedded environment variables

Qt/Embedded environment variables

# Qt/Embedded Performance Tuning

Qt/Embedded Performance Tuning

# Qt/Embedded Pointer Handling

Qt/Embedded Pointer Handling

# Qt/Embedded Virtual Framebuffer

Qt/Embedded Virtual Framebuffer

# QVector Class Reference (obsolete)

QVector Class Reference (obsolete)

# Range controls

Range controls

# Richtext

Richtext

# Rot13

Rot13

# Running Qt/Embedded applications

Running Qt/Embedded applications

# Scrollview

Scrollview

# Session Management

Session Management

# Setting Options

Setting Options

# Setting the Application Icon

Setting the Application Icon

# Shared Classes

Shared Classes

# Show Image

Show Image

# Signals and Slots

Signals and Slots

# Simple Addressbook

Simple Addressbook

# Simple Filemanager

Simple Filemanager

# Simple HTML Browser

Simple HTML Browser

# Simple HTML Help Browser

Simple HTML Help Browser

# Simple Painting Application

Simple Painting Application

# Small Table Example

Small Table Example

# Sound Example

Sound Example

# Splitter

Splitter

# SQL Module

SQL Module

# SQL Module - Drivers

SQL Module - Drivers

# SQL Table

SQL Table

# Standard Accelerator Keys

Standard Accelerator Keys

# Starting processes with IO redirection

Starting processes with IO redirection

# Step-by-step Examples

step-by-step-examples

# Style overview

Style overview

# Tabdialog

Tabdialog

# Table Example

Table Example

# Table Examples

table-examples

# Table Module

Table Module

# Table of Prime Numbers 2-9999

Table of Prime Numbers 2-9999

# Tablet Example

Tablet Example

# Taking Data

Taking Data

# Tetrix

Tetrix

# Text Edit Example

Text Edit Example

# Text Related Classes

text

# Thanks!

Thanks!

# The 'Big Picture'

The 'Big Picture'

# The Coordinate System

The Coordinate System

# The Feature Definition File

The Feature Definition File

# The Project File

The Project File

# The Qt/Embedded-specific classes

The Qt/Embedded-specific classes

# Themes (Styles)

Themes (Styles)

# Thread Support in Qt

Thread Support in Qt

# Threading

thread

# Tic Tac Toe

Tic Tac Toe

# Time and Date

time

# Timers

Timers

# Transformed Graphics Demo

Transformed Graphics Demo

# Trivial Example

Trivial Example

# Tutorial #2

Tutorial #2

# User Interface

User Interface

# User Interface Compiler (uic)

User Interface Compiler (uic)

# Using menus

Using menus

# Using the Meta Object Compiler

Using the Meta Object Compiler

# Walkthrough: A Simple Application

Walkthrough: A Simple Application

# Walkthrough: How to use the Qt SAX2 classes

Walkthrough: How to use the Qt SAX2 classes

# Walkthrough: Using SAX2 features with the Qt XML classes

Walkthrough: Using SAX2 features with the Qt XML classes

# Why doesn't Qt use templates for signals and slots?

Why doesn't Qt use templates for signals and slots?

# Widget Appearance and Style

appearance

# Widgets Example

Widgets Example

# Window Geometry

Window Geometry

# Window System-specific Notes

Window System-specific Notes

# Wizard

Wizard

# Workspace Module

Workspace Module

# Wrapping Up

Wrapping Up

# Writing your own layout manager

Writing your own layout manager

# XML

xml-tools

# XML Module

XML Module

# Year 2000 Compliance Statement

Year 2000 Compliance Statement

# chart/canvastext.h Example File

canvastext.h

# chart/canvasview.cpp Example File

canvasview.cpp

# chart/canvasview.h Example File

canvasview.h

# chart/chart.pro Example File

chart.pro

# chart/chartform.cpp Example File

chartform.cpp

# chart/chartform.h Example File

chartform.h

# chart/chartform_canvas.cpp Example File

chartform_canvas.cpp

# chart/chartform_files.cpp Example File

chartform_files.cpp

# chart/element.cpp Example File

element.cpp

# chart/element.h Example File

element.h

# chart/main.cpp Example File

main.cpp

# chart/optionsform.cpp Example File

optionsform.cpp

# chart/optionsform.h Example File

optionsform.h

# chart/setdataform.cpp Example File

setdataform.cpp

# chart/setdataform.h Example File

setdataform.h

# iconview/simple_dd/main.cpp Example File

main.cpp

# iconview/simple_dd/main.h Example File

main.h

# qnetwork.h Example File

qnetwork.h

# sql/overview/basicbrowsing/main.cpp Example File

main.cpp

# sql/overview/basicbrowsing2/main.cpp Example File

main.cpp

# sql/overview/basicdatamanip/main.cpp Example File

main.cpp

# sql/overview/connect1/main.cpp Example File

main.cpp

# sql/overview/create_connections/main.cpp Example File

main.cpp

# sql/overview/custom1/main.cpp Example File

main.cpp

# sql/overview/custom1/main.h Example File

main.h

# sql/overview/delete/main.cpp Example File

main.cpp

# sql/overview/extract/main.cpp Example File

main.cpp

# sql/overview/form1/main.cpp Example File

main.cpp

# sql/overview/form2/main.h Example File

main.h

# sql/overview/insert/main.cpp Example File

main.cpp

# sql/overview/navigating/main.cpp Example File

main.cpp

# sql/overview/order1/main.cpp Example File

main.cpp

# sql/overview/order2/main.cpp Example File

main.cpp

# sql/overview/retrieve1/main.cpp Example File

main.cpp

# sql/overview/retrieve2/main.cpp Example File

main.cpp

# sql/overview/subclass1/main.cpp Example File

main.cpp

# sql/overview/subclass2/main.cpp Example File

main.cpp

# sql/overview/subclass2/main.h Example File

main.h

# sql/overview/subclass3/main.cpp Example File

main.cpp

# sql/overview/subclass3/main.h Example File

main.h

# sql/overview/subclass4/main.cpp Example File

main.cpp

# sql/overview/subclass4/main.h Example File

main.h

# sql/overview/subclass5/main.cpp Example File

main.cpp

# sql/overview/subclass5/main.h Example File

main.h

# sql/overview/table1/main.cpp Example File

main.cpp

# sql/overview/table2/main.cpp Example File

main.cpp

# sql/overview/table3/main.cpp Example File

main.cpp

# sql/overview/table3/main.h Example File

main.h

# sql/overview/table4/main.cpp Example File

main.cpp

# sql/overview/table4/main.h Example File

main.h

# sql/overview/update/main.cpp Example File

main.cpp

# t10/cannon.cpp Example File

cannon.cpp

# t10/cannon.h Example File

cannon.h

# t10/lcdrange.cpp Example File

lcdrange.cpp

# t10/lcdrange.h Example File

lcdrange.h

# t10/main.cpp Example File

main.cpp

# t11/cannon.cpp Example File

cannon.cpp

# t11/cannon.h Example File

cannon.h

# t11/lcdrange.cpp Example File

lcdrange.cpp

# t11/lcdrange.h Example File

lcdrange.h

# t11/main.cpp Example File

main.cpp

# t12/cannon.cpp Example File

cannon.cpp

# t12/cannon.h Example File

cannon.h

# t12/lcdrange.cpp Example File

lcdrange.cpp

# t12/lcdrange.h Example File

lcdrange.h

# t12/main.cpp Example File

main.cpp

# t13/cannon.cpp Example File

cannon.cpp

# t13/cannon.h Example File

cannon.h

# t13/gamebrd.cpp Example File

gamebrd.cpp

# t13/gamebrd.h Example File

gamebrd.h

# t13/lcdrange.cpp Example File

lcdrange.cpp

# t13/lcdrange.h Example File

lcdrange.h

# t13/main.cpp Example File

main.cpp

# t14/cannon.cpp Example File

cannon.cpp

# t14/cannon.h Example File

cannon.h

# t14/gamebrd.cpp Example File

gamebrd.cpp

# t14/gamebrd.h Example File

gamebrd.h

# t14/lcdrange.cpp Example File

lcdrange.cpp

# t14/lcdrange.h Example File

lcdrange.h

# t14/main.cpp Example File

main.cpp

# t7/lcdrange.cpp Example File

lcdrange.cpp

# t7/lcdrange.h Example File

lcdrange.h

# t7/main.cpp Example File

main.cpp

# t8/cannon.cpp Example File

cannon.cpp

# t8/cannon.h Example File

cannon.h

# t8/lcdrange.cpp Example File

lcdrange.cpp

# t8/lcdrange.h Example File

lcdrange.h

# t8/main.cpp Example File

main.cpp

# t9/cannon.cpp Example File

cannon.cpp

# t9/cannon.h Example File

cannon.h

# t9/lcdrange.cpp Example File

lcdrange.cpp

# t9/lcdrange.h Example File

lcdrange.h

# t9/main.cpp Example File

main.cpp

# table/bigtable/main.cpp Example File

main.cpp

# table/small-table-demo/main.cpp Example File

main.cpp

# table/statistics/statistics.cpp Example File

statistics.cpp

# wizard/wizard.cpp Example File

wizard.cpp

# wizard/wizard.h Example File

wizard.h